/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// DateAndTimeModal.js
var shouldClickBtnID = "";
	var TYPE_SWITCH = "SASSwitch";
	var TYPE_STORAGE = "RAIDSubSystem";
	
	function dateAndTime_valueChange(thisObj) {
		 document.getElementById(namespace_g + "myForm:dt_it_date").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_time").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_primary").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_secondary").value="";
		var action = thisObj.options[thisObj.options.selectedIndex].value;
		if(action.indexOf(TYPE_STORAGE)>0){
			document.getElementById(namespace_g + "myForm:switch_page_btn").click();
		}else{
			document.getElementById(namespace_g + "myForm").submit();
		}		
	}
	
	function controller_dateAndTime_valueChange(thisObj) {
		document.getElementById(namespace_g + "myForm:dt_it_date").value="";
		document.getElementById(namespace_g + "myForm:dt_it_time").value="";
		var action = thisObj.options[thisObj.options.selectedIndex].value;
		if(action.indexOf(TYPE_STORAGE)>0){
			document.getElementById(namespace_g + "myForm").submit();
		}else{
			document.getElementById(namespace_g + "myForm:switch_page_btn").click();
		}
	}
	 
	function onLoad_DateAndTimeSwitchPageContainer(){
	   var currentDevice = document.getElementById(namespace_g + "currentDeviceName").innerHTML;
	   if(currentDevice.indexOf(TYPE_STORAGE)>0){
	   		document.getElementById("dataAndTimeFrame").src=document.global_context_path + "/faces/page/rbce/domain/SetControllerDateAndTime.jsp"
	   }else{
	   		document.getElementById("dataAndTimeFrame").src=document.global_context_path + "/faces/page/rbce/domain/DateAndTimeModal.jsp";
	   }
	}
	
	function setTimeButtonAriaInvisible()
	{
		//make the time increment/decrement button not visible during page load
		 if(null != document.getElementById(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN"))
		 {
		 	changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
		 }
		 
		 if(null != document.getElementById(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN"))
		 {
		 	changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
		 }
	}
	
	function onLoad_WizardDateAndTimeSwitch(){
		 setTimeout(lazyClick , 5);
		 document.getElementsByTagName("body")[0].className = "wizardFrameBody";
		 document.getElementById(namespace_g + "myForm:dt_it_date").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_time").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_primary").value="";
		 document.getElementById(namespace_g + "myForm:dt_it_secondary").value="";
		 document.getElementById(namespace_g + "myForm:setSASTimeNow").checked = true;
		 
		 // disabled all input when loading
		 document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;
		 document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
		 document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = true;
		 document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = true;
		 document.getElementById(namespace_g + "myForm:setSASTimeNow").disabled = true;
		 var radios = document.getElementsByName("operate");
		 radios[0].disabled = true;
		 radios[1].disabled = true;
		 
		 //time button renders after page onload event
		 setTimeout(setTimeButtonAriaInvisible, 1000);
		 
		 // initial error message	
		 initErrorMessage();
		 
		 if (parent) {
		 	parent.refreshNext();
		 }
	}
	
	function postLoad_WizardDateAndTimeSwitch() {
		document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;
		document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
		document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = false;
		document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = false;
		document.getElementById(namespace_g + "myForm:setSASTimeNow").disabled = false;
		var radios = document.getElementsByName("operate");
		radios[0].disabled = false;
		radios[1].disabled = false;

		var historymethod = document.getElementById(namespace_g + "myForm:historyMethod");
		var historyDateTime = document.getElementById(namespace_g + "myForm:historyDateTime");
		
		var historyPrimary = document.getElementById(namespace_g + "myForm:historyPrimary");
		var historySecoundary = document.getElementById(namespace_g + "myForm:historySecoundary");
		
		var historymethodValue = historymethod.innerHTML;
		if (historymethodValue != "") {
			if (historymethodValue == "ntpserver") {
				document.getElementById(namespace_g + "myForm:setSASTimeNow").checked = true;
				setSASTimeCheckboxClick();
				radios[0].checked = true;
				setTimeRadioClick("NTPserver");
				document.getElementById(namespace_g + "myForm:dt_it_primary").value = historyPrimary.innerHTML;
				document.getElementById(namespace_g + "myForm:dt_it_secondary").value = historySecoundary.innerHTML;
			} else if (historymethodValue == "manually") {
				document.getElementById(namespace_g + "myForm:setSASTimeNow").checked = true;
				setSASTimeCheckboxClick();
				radios[1].checked = true;
				setTimeRadioClick("SetManually");
				var dateObj = new Date(Number(historyDateTime.innerHTML));
				document.getElementById(namespace_g + "myForm:dt_it_date").value = toLocalizedDate(dateObj);
				document.getElementById(namespace_g + "myForm:dt_it_time").value = toLocalizedTime(dateObj);
				generateUTCTime();
			} else if (historymethodValue = "disabled") {
				document.getElementById(namespace_g + "myForm:setSASTimeNow").checked = false;
				setSASTimeCheckboxClick();
			}
		} else {
			document.getElementById(namespace_g + "myForm:setSASTimeNow").checked = true;
			setSASTimeCheckboxClick();
			radios[0].checked = true;
			setTimeRadioClick("NTPserver");
		}
	}
	
	function lazyClick() {
		document.getElementById(namespace_g + "myForm:onloadBehaviorBtn").click();
	}
	//add by qiuhongyan,defect 104111
	function setTimeCheckboxClick(){
	    var checkController = document.getElementById(namespace_g + "myForm:setControllerTimeNow").checked;
	    var radios = document.getElementsByName("operate");
	    //Cleare Input invalid message
		document.getElementById("date_error_div").style.display = "none";
		document.getElementById("time_error_div").style.display = "none";
		if(checkController){
	        //1.if user select the set raid date&time checkbox, enable the sub radio button.
	        radios.item(0).disabled=false; 
	        radios.item(1).disabled=false; 
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled=false;
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled=false;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = false;
			}
			if(radios[0].checked){
				radios[0].click();
			}else{
				radios[1].click();
			}
	    }else{
	        //2.if user unselect the set raid date&time checkbox, disable the sub radio button.
	        document.getElementById(namespace_g + "myForm:dt_it_date").value="";
			document.getElementById(namespace_g + "myForm:dt_it_time").value="";
	        radios[0].disabled=true; 
	        radios[1].disabled=true;
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled=true;
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled=true;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = true;
			}
			
			//make the increment/decrement button invisible to screen reader
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
			
			generateUTCTime();
	    }
	}
	
	function setSASTimeCheckboxClick(){
	    var checkSAS = document.getElementById(namespace_g + "myForm:setSASTimeNow").checked;
	    var radios = document.getElementsByName("operate");
	    //Cleare Input invalid message
		document.getElementById("primary_ip_error_div").style.display = "none";
		document.getElementById("secondary_ip_error_div").style.display = "none";
		document.getElementById("date_error_div").style.display = "none";
		document.getElementById("time_error_div").style.display = "none";
		if(checkSAS){
	        //1.if user select the set raid date&time checkbox, enable the sub radio button.
	        radios[0].disabled=false; 
	        radios[1].disabled=false;  
			document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = false;
			document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = false;
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;			
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = false;
			}
			if(radios[0].checked){
				radios[0].click();
			}else{
				radios[1].click();
			}			
	    }else{
	        //2.if user unselect the set raid date&time checkbox, disable the sub radio button.
	        radios[0].disabled=true; 
	        radios[1].disabled=true; 
			document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = true;
			document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = true;
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;			
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = true;
			}
			document.getElementById(namespace_g + "myForm:dt_it_primary").value = "";
			document.getElementById(namespace_g + "myForm:dt_it_secondary").value = "";
			document.getElementById(namespace_g + "myForm:dt_it_date").value = "";			
			document.getElementById(namespace_g + "myForm:dt_it_time").value = "";
			
			//make the increment/decrement button invisible to screen reader
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
			
			generateUTCTime();
	    }		
	}
	
	function onLoad_WizardDateAndTimeController() {
		setTimeout(lazyClick , 5);
		document.getElementsByTagName("body")[0].className = "wizardFrameBody";
		
		var radios = document.getElementsByName("operate");
		document.getElementById(namespace_g + "myForm:dt_it_date").value = "";
		document.getElementById(namespace_g + "myForm:dt_it_time").value = "";
		
		document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;
		document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
		
		document.getElementById(namespace_g + "myForm:setControllerTimeNow").disabled = true;
		radios[0].disabled = true;
		radios[1].disabled = true;
		
		//time button renders after page onload event
		 setTimeout(setTimeButtonAriaInvisible, 1000);
		 
		// initial error message	
		initErrorMessage();
		 
		if (parent) {
			parent.refreshNext();
		}
	}
	
	function postLoad_WizardDateAndTimeController() {
		var historymethod = document.getElementById(namespace_g + "myForm:historyMethod");
		var historyDateTime = document.getElementById(namespace_g + "myForm:historyDateTime");		
		var historymethodValue = historymethod.innerHTML;
	
		var radios = document.getElementsByName("operate");
		radios[0].disabled = false;
		radios[1].disabled = false;
		document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;
		document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
		document.getElementById(namespace_g + "myForm:setControllerTimeNow").disabled = false;
		
		if (historymethodValue != "") {
			if (historymethodValue == "switch") {
				document.getElementById(namespace_g + "myForm:setControllerTimeNow").checked = true;
				setTimeCheckboxClick();
				radios[0].checked = true;
				setControllerTimeRadioClick("SetWithCurrentSasSwitch");
			} else if (historymethodValue == "manually") {
				document.getElementById(namespace_g + "myForm:setControllerTimeNow").checked = true;
				setTimeCheckboxClick();
				radios[1].checked = true;
				setControllerTimeRadioClick("ManuallySetTime");
				
				var dateObj = new Date(Number(historyDateTime.innerHTML));
				document.getElementById(namespace_g + "myForm:dt_it_date").value = toLocalizedDate(dateObj);
				document.getElementById(namespace_g + "myForm:dt_it_time").value = toLocalizedTime(dateObj);
				
				generateUTCTime();
			} else if (historymethodValue == "disabled") {
				document.getElementById(namespace_g + "myForm:setControllerTimeNow").checked = false;
				setTimeCheckboxClick();
			}
		} else {
			document.getElementById(namespace_g + "myForm:setControllerTimeNow").checked = true;
			setTimeCheckboxClick();
			radios[0].checked = true;
			setControllerTimeRadioClick("SetWithCurrentSasSwitch");
		}
	}
	
	function onLoad_DateAndTimeModal() {
		preLoad_DateAndTimeModal();		
		commonPageLoad();
		ariaHiddenCalendar();
		changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
		changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
	}
	
	function preLoad_DateAndTimeModal() {
		if (parent.document.title == "ViewAllBladeCenter") {
			parent.stopWait('util_dialog');		 		
			document.getElementById("div_context_chooser").style.display = 'none';
			var reloadbysubmit = document.getElementById(namespace_g + "myForm:show_opertion_info").innerHTML;
			if(reloadbysubmit == "true"){
				document.getElementById(namespace_g + "myForm:cb_datetime_cancel").click();
				return;
			}
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").disabled = true;
			document.getElementById(namespace_g + "myForm:cb_datetime_cancel").disabled = true;
		 } else {
		 	document.getElementById("div_context_chooser").style.display = "";
		 	document.getElementById("sas_datetime_title_table").style.display = "";
		 	document.getElementById("showMsgTable").style.height = "5";
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").value = document.getElementById(namespace_g + "myForm:label_change").innerHTML;
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").style.display = "";
		 }
		 
		document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;
		document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
		document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = true;
		document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = true;
		document.getElementById("operate").disabled = true;
		document.getElementById("operate2").disabled = true;
		
		// initial error message	
		initErrorMessage();		
	}
	
	function postLoad_DateAndTimeModal(){
		if (parent.document.title == "ViewAllBladeCenter") {
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").style.display = "block";
			document.getElementById(namespace_g + "myForm:cb_datetime_cancel").style.display = 'block';
			
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").disabled = false;
			document.getElementById(namespace_g + "myForm:cb_datetime_cancel").disabled = false;
			
			parent.setFormTarget(650,300);
			parent.adjustIEFrame();
		 }
		 
		 document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;
		 document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
		 document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = false;
		 document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = false;
		 document.getElementById("operate").disabled = false;
		 document.getElementById("operate2").disabled = false;
		 
		 document.getElementById(namespace_g + "myForm:dt_it_date").value = "";
		 document.getElementById(namespace_g + "myForm:dt_it_time").value = "";
		 document.getElementById(namespace_g + "myForm:dt_it_primary").value = "";
		 document.getElementById(namespace_g + "myForm:dt_it_secondary").value = "";
		 document.getElementById("operate").checked = true;
		 setTimeRadioClick('NTPserver');
	}
	
	function onLoad_SetControllerDateAndTime(){
		InitSetControllerDateAndTime();		
		adjustDialogSizeForValidationMessage(660,250);
	 	disableControllerDateAndTimeFiled(false);
		commonPageLoad();
		ariaHiddenCalendar();
		changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
		changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
	}
	
	function ariaHiddenCalendar(){
	    if(document.getElementById("view:myForm:dt_it_date_1_HXB_HPBTN")){
			document.getElementById("view:myForm:dt_it_date_1_HXB_HPBTN").tabIndex = -1;
			document.getElementById("view:myForm:dt_it_date_1_HXB_HPBTN").setAttribute('role','presentation');
			document.getElementById("view:myForm:dt_it_date_1_HXB_HPBTN").parentNode.getElementsByTagName("img")[0].setAttribute('role','presentation');
			document.getElementById("view:myForm:dt_it_date_1_HXB_HPBTN").parentNode.getElementsByTagName("img")[0].tabIndex = -1;
		}	
	}
	
	function changeTimeButtonAriaVisibility(id, visible)
	{
		if(null != document.getElementById(id))
		{
			setElementAriaVisibility(document.getElementById(id), visible);
			setElementAriaVisibility(document.getElementById(id).getElementsByTagName("img")[0], visible);
		}
	}
	
	function disableControllerDateAndTimeFiled(flag){
		    document.getElementById(namespace_g + "myForm:cb_datetime_ok").disabled = flag;
		    document.getElementById(namespace_g + "myForm:cb_datetime_cancel").disabled = flag;
			 var radios = document.getElementById("operate");
				radios.disabled = flag;
			var operate2 = document.getElementById("operate2");
				operate2.disabled = flag;
	}
	
	function InitSetControllerDateAndTime(){
		 disableControllerDateAndTimeFiled(false);
		if(parent.document.title == "ViewAllBladeCenter"){
	 		parent.stopWait('util_dialog');		 		
	 		document.getElementById("div_context_chooser").style.display = 'none';
	 		var reloadbysubmit = document.getElementById(namespace_g + "myForm:show_opertion_info").innerHTML;
			if(reloadbysubmit == "true"){
				document.getElementById(namespace_g + "myForm:cb_datetime_cancel").click();
			}
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").style.display = 'block';
		 	document.getElementById(namespace_g + "myForm:cb_datetime_cancel").style.display = 'block';
		 }else if(document.getElementById(namespace_g + "myForm:in_wizard").innerHTML == "true"){
		 	document.getElementById("div_context_chooser").style.display = 'none';
		 }
		 else{
		 	document.getElementById("div_context_chooser").style.display = "";
		 	document.getElementById("raid_date_and_time_title").style.display = "";
			document.getElementById("showMsgTable").style.height = "5";
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").value =  document.getElementById(namespace_g + "myForm:label_change").innerHTML;
			document.getElementById(namespace_g + "myForm:cb_datetime_ok").style.display = "";
		 	document.getElementById(namespace_g + "myForm:cb_datetime_cancel").style.display = "none";
		}
		document.getElementById(namespace_g + "myForm:dt_it_date").value="";
		document.getElementById(namespace_g + "myForm:dt_it_time").value="";
		var radios = null;
		 if(document.all){		
			radios = document.all("operate");
		 }		  		
		 else{
		    radios = document.getElementsByName("operate");
		 }
		  if( radios != null)
		 {
			if( document.all){
				radios.item(0).click();								
			}
			else{
				radios[0].click();	   		     				  
			}
		 }
		 
		 // initial error message	
		initErrorMessage();	
	}

	function setTimeRadioClick(action){
		// Defect 8442 adjust dialog to initial size
		adjustDialogSizeForValidationMessage(660,300);		
		document.getElementById("operate").value = action;
		if(action == "NTPserver"){
			document.getElementById("date_error_div").style.display = "none";
			document.getElementById("time_error_div").style.display = "none";
			document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = false;
			document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = false;
			document.getElementById(namespace_g + "myForm:dt_it_date").value="";
			document.getElementById(namespace_g + "myForm:dt_it_time").value="";
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;			
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = true;
			}
			generateUTCTime();
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
		}else{
			document.getElementById("primary_ip_error_div").style.display = "none";
			document.getElementById("secondary_ip_error_div").style.display = "none";
			document.getElementById(namespace_g + "myForm:dt_it_primary").value = "";
			document.getElementById(namespace_g + "myForm:dt_it_secondary").value = "";
			document.getElementById(namespace_g + "myForm:dt_it_primary").disabled = true;
			document.getElementById(namespace_g + "myForm:dt_it_secondary").disabled = true;
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;			
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = false;
			}			
			displayCurrentDateTime();
			generateUTCTime();
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", true);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", true);
		}
		ariaHiddenCalendar();	
		
	}
	
	function displayCurrentDateTime(){
		var currDate = new Date();
		document.getElementById(namespace_g + "myForm:dt_it_date").value = toLocalizedDate(currDate);
		document.getElementById(namespace_g + "myForm:dt_it_time").value = toLocalizedTime(currDate);
	}
	
	function getDateTimeValidator(){
		var vdt = hX_5.getValidatorById("RSSMDTVDT");
		if(null == vdt)
		{
			hX_5.addValidator("RSSMDTVDT", new hX_5.DateTimeValidator("required:true"));
		}
		return hX_5.getValidatorById("RSSMDTVDT");
	}
	
	function getDateTimeConverter(){
		var cvt = hX.getConverterById("RSSMDTCVT");
		if(null == cvt)
		{
			// decimalFormatPattern is defined in Header.jsp
			hX.addConverter("RSSMDTCVT", new hX.DateTimeConverter(datetimeSimpleFormatPattern, "ICU4J:true","strict:2"));
		}
		return hX.getConverterById("RSSMDTCVT");
	}

	function getDateConverter(){
		var cvt = hX.getConverterById("RSSMDCVT");
		if(null == cvt)
		{
			// decimalFormatPattern is defined in Header.jsp
			hX.addConverter("RSSMDCVT", new hX.DateTimeConverter(dateFormatPattern, "ICU4J:true","strict:2"));
		}
		return hX.getConverterById("RSSMDCVT");	
	}	
	function getTimeConverter(){
		var cvt = hX.getConverterById("RSSMTCVT");
		if(null == cvt)
		{
			// decimalFormatPattern is defined in Header.jsp
			hX.addConverter("RSSMTCVT", new hX.DateTimeConverter(timeFormatPattern, "ICU4J:true","strict:2"));
		}
		return hX.getConverterById("RSSMTCVT");
	}
	function toLocalizedTime(d){
		return getTimeConverter().valueToString(d);
	}
	function toLocalizedDate(d){
		return getDateConverter().valueToString(d);
	}	
	function toLocalizedDateTime(d){
		return getDateTimeConverter().valueToString(d);
	}
	function isTimeFormat(time) {
		var v = getDateTimeValidator();
		return (v.validate(time.value, getTimeConverter())); 
	}
	function isDateFormat(date) {
		var v = getDateTimeValidator();
		return (v.validate(date.value, getDateConverter())); 
	}
	
	function generateUTCString(dateObj){
			var cvt = getDateTimeConverter();
			var utcDate = new Date(dateObj.getUTCFullYear(),dateObj.getUTCMonth(),dateObj.getUTCDate(),dateObj.getUTCHours(),dateObj.getUTCMinutes());
			return cvt.valueToString(utcDate) + " UTC";
	}
	function setControllerTimeRadioClick(action){
		// Defect 8442 adjust dialog to initial size
	    adjustDialogSizeForValidationMessage(660,220);

		document.getElementById("operate").value = action;
		if(action == "SetWithCurrentSasSwitch"){
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = true;
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = true;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = true;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = true;
			}
			//Cleare Input invalid message
			document.getElementById("date_error_div").style.display = "none";
			document.getElementById("time_error_div").style.display = "none";
		    //clear disabled input values
			document.getElementById(namespace_g + "myForm:dt_it_date").value="";
			document.getElementById(namespace_g + "myForm:dt_it_time").value="";
			generateUTCTime();
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", false);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", false);
		}else{
			document.getElementById(namespace_g + "myForm:dt_it_date").disabled = false;
			document.getElementById(namespace_g + "myForm:dt_it_time").disabled = false;
			if(document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0]){
				document.getElementById(namespace_g + "myForm:dt_it_date").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[0].disabled = false;
				document.getElementById(namespace_g + "myForm:dt_it_time").nextSibling.childNodes[1].disabled = false;
			}			
			displayCurrentDateTime();
			generateUTCTime();
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_1_HXB_HPBTN", true);
			changeTimeButtonAriaVisibility(namespace_g + "myForm:dt_it_time_2_HXB_HPBTN", true);
		}
		ariaHiddenCalendar();
	}
	
	function subBtnClick(){
		
		if ((typeof document.getElementById(namespace_g + "myForm:isNext")) != "undefine") {
			var in_wizard = document.getElementById(namespace_g + "myForm:in_wizard").innerHTML;
			var checkedbox = document.getElementById(namespace_g + "myForm:setSASTimeNow");
			
			if (parent && in_wizard == "true" && !checkedbox.checked) {
				document.getElementById(namespace_g + "myForm:set_manaully_submit").click();
				return true;
			}
		}
		if(dateAndTimeSubmit()){
			var inputDate = hX.getComponentById(namespace_g + "myForm:dt_it_date").getValue(true);
			var inputTime = hX.getComponentById(namespace_g + "myForm:dt_it_time").getValue(true);
			var inputDateTime = new Date(inputDate.getFullYear(),inputDate.getMonth(),inputDate.getDate(),inputTime.getHours(),inputTime.getMinutes(),inputTime.getSeconds());
			
			document.getElementById(namespace_g + "myForm:dt_it_datetime_hidden").value = inputDateTime.getTime();
			
			document.getElementById(shouldClickBtnID).click();
			return true;
		} else{
			if ((typeof document.getElementById(namespace_g + "myForm:isNext")) != "undefine") {
				var in_wizard = document.getElementById(namespace_g + "myForm:in_wizard").innerHTML;
				
				if (parent && in_wizard == "true") {
					parent.refreshNext();
				}
			}
			return false;
		}
	}
	
	function ContrSubBtnClick(){
		if(ControllerDateAndTimeSubmit()) {
			/* parse to UTC time when pass to server */
			var inputDate = hX.getComponentById(namespace_g + "myForm:dt_it_date").getValue(true);
			var inputTime = hX.getComponentById(namespace_g + "myForm:dt_it_time").getValue(true);
			var inputDateTime = new Date(inputDate.getFullYear(),inputDate.getMonth(),inputDate.getDate(),inputTime.getHours(),inputTime.getMinutes(),inputTime.getSeconds());

			document.getElementById(namespace_g + "myForm:dt_it_datetime_hidden").value = inputDateTime.getTime();
		
		    document.getElementById(namespace_g + "myForm:cb_datetime_ok").disabled = true;
		    document.getElementById(namespace_g + "myForm:cb_datetime_cancel").disabled = true;
		    
			document.getElementById(shouldClickBtnID).click();
			return true;
		} else {
			if ((typeof document.getElementById(namespace_g + "myForm:isNext")) != "undefine") {
				var in_wizard = document.getElementById(namespace_g + "myForm:in_wizard").innerHTML;
				
				if (parent && in_wizard == "true") {
					parent.refreshNext();
				}
			}
			return false;
		}
	}
	
	function dateAndTimeSubmit(){
		// Defect 8442 adjust dialog to initial size
		adjustDialogSizeForValidationMessage(660,290);
	
			document.getElementById("primary_ip_error_div").style.display = 'none';
			document.getElementById("secondary_ip_error_div").style.display = 'none';
			document.getElementById("date_error_div").style.display = 'none';
			document.getElementById("time_error_div").style.display = 'none';
		
			var radiochooser = document.getElementById("operate").value;
			
			if(radiochooser == 'NTPserver'){
				document.getElementById(namespace_g + "myForm:dt_it_date").value="";
				document.getElementById(namespace_g + "myForm:dt_it_time").value="";
				var primaryNTP = document.getElementById(namespace_g + "myForm:dt_it_primary");
				var secondaryNTP = document.getElementById(namespace_g + "myForm:dt_it_secondary");
				if (isIPFormat(primaryNTP) || isIPV6Format(primaryNTP)) {
					if (secondaryNTP.value == "" || isIPFormat(secondaryNTP) || isIPV6Format(primaryNTP)){
						showProcessDiv();
						shouldClickBtnID = namespace_g + "myForm:use_ntpserver_submit";
						return true;
					}
				}
				if(!isIPFormat(primaryNTP) && !isIPV6Format(primaryNTP)){
					document.getElementById("primary_ip_error_div").style.display = 'block';
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(660,300);
					document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
					return false;
				}
				if(secondaryNTP.value != "" && !isIPFormat(secondaryNTP) && !isIPV6Format(secondaryNTP)){
					document.getElementById("secondary_ip_error_div").style.display = 'block';
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(660,300);
					document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
					return false;
				}
			}else{
				document.getElementById(namespace_g + "myForm:dt_it_primary").value="";
				document.getElementById(namespace_g + "myForm:dt_it_secondary").value="";
				var time = document.getElementById(namespace_g + "myForm:dt_it_time");
				var date = document.getElementById(namespace_g + "myForm:dt_it_date");
				if (isDateFormat(date) && isTimeFormat(time)){
					showProcessDiv();
					shouldClickBtnID = namespace_g + "myForm:set_manaully_submit";
					return true;
				}
				if (!isDateFormat(date)){
					document.getElementById("date_error_div").style.display = 'block';
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(660,300);
					document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
					return false;					
				}
				if(!isTimeFormat(time)){
					document.getElementById("time_error_div").style.display = 'block';
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(660,300);
					document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
					return false;
				}
			}
	}
	
	function ControllerDateAndTimeSubmit(){		
		// Defect 8442 adjust dialog to initial size
	    adjustDialogSizeForValidationMessage(660,210);
		
		document.getElementById("date_error_div").style.display = 'none';
		document.getElementById("time_error_div").style.display = 'none';
		var radiochooser = document.getElementById("operate").value;
		var wizardCheckBox = document.getElementById(namespace_g + "myForm:setControllerTimeNow");
		if (wizardCheckBox && !wizardCheckBox.checked) {
			shouldClickBtnID =namespace_g +  "myForm:SetTimeManually";
			return true;
		}
		if(radiochooser == 'SetWithCurrentSasSwitch'){
			document.getElementById(namespace_g + "myForm:dt_it_date").value="";
			document.getElementById(namespace_g + "myForm:dt_it_time").value="";
			showProcessDiv();
			shouldClickBtnID = namespace_g + "myForm:SetTimeWithCurrentSasModule";
			return true;		    
		} else {
			var time = document.getElementById(namespace_g + "myForm:dt_it_time");
			var date = document.getElementById(namespace_g + "myForm:dt_it_date");
			if(isDateFormat(date) && isTimeFormat(time)){
				showProcessDiv();
				shouldClickBtnID = namespace_g + "myForm:SetTimeManually";
				return true;
			}
			if (!isDateFormat(date)){
				document.getElementById("date_error_div").style.display = 'block';
				
				// Defect 8442 adjust dialog size for validation message
				adjustDialogSizeForValidationMessage(660,220);	
				
				document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
				return false;
			}
			if(!isTimeFormat(time)){
				document.getElementById("time_error_div").style.display = 'block';
				
				// Defect 8442 adjust dialog size for validation message
				adjustDialogSizeForValidationMessage(660,220);	
				
				document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
				return false;
			}
		}
	}
	
	function showProcessDiv(){
		//document.getElementById("div_process_indicator").style.display = 'block';
		//hX.getComponentById(namespace_g + "myForm:pb1").start();
		
		document.getElementById("spinningDiv").style.display = 'block';
		showProgressIndicator('spinningDiv');
		
		document.getElementById(namespace_g + "myForm:cb_datetime_ok").disabled="true";
		document.getElementById(namespace_g + "myForm:cb_datetime_cancel").disabled="true";
	}
	
	function isIPFormat(ip){
	
		var ipexpr = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
		if (!ipexpr.test(ip.value.trim())) return false;
		var IParray = ip.value.trim().match(ipexpr);
		if (IParray != null) {
				for (var i=1; i<5; i++) {
					var octet = IParray[i];
					if (octet > 255) {
						return false;
					}	
				}
		}
		
		return true;
	}
	
	//This method matches these IPv6 formats
	//::ffff:21:7.8.9.221 | 2001:0db8:85a3:08d3:1319:8a2e:0370:7344 | ::8a2e:0:0370:7344 | 2001:0db8:85a3:08d3:1319:8a2e:100.22.44.55 
	//| 2001:0db8::8a2e:100.22.44.55 | ::100.22.44.55 | ffff::
	//And such IPs are invalid
	//::8a2e:0:0370:7344.4 | 2001:idb8::111:7.8.9.111 | 2001::100.a2.44.55 | :2001::100.22.44.55 
	function isIPV6Format(ip){
		var ipstr = ip.value.trim();
		if(ipstr.substring(0, 1) == "[" && ipstr.substring(ipstr.length-1, ipstr.length) == "]")
			ipstr = ipstr.substring(1, ipstr.length-1);
	
		return ipstr.match(/:/g) != null
		&& ipstr.match(/:/g).length<=7 
		&& (ipstr.match(/::/g) == null || ipstr.match(/::/g).length<=1)
		&& (/::/.test(ipstr) 
			? ((ipstr.substring(0, 2) == "::") 
				? /^::([\da-f]{1,4}(:)){0,4}(([\da-f]{1,4}(:)[\da-f]{1,4})|([\da-f]{1,4})|((\d{1,3}\.){3}\d{1,3}))?$/i.test(ipstr) 
				: /^([\da-f]{1,4}(:|::)){1,5}(([\da-f]{1,4}(:|::)[\da-f]{1,4})|([\da-f]{1,4})|((\d{1,3}\.){3}\d{1,3}))?$/i.test(ipstr))
			: /^([\da-f]{1,4}:){6}(([\da-f]{1,4}:[\da-f]{1,4})|((\d{1,3}\.){3}\d{1,3}))?$/i.test(ipstr));
	}
	
	function isDNSFormat(name){
		var ipexpr = /^([a-zA-Z0-9][-a-zA-Z0-9]{0,62}\.)+[a-zA-Z][-a-zA-Z]{0,62}$/;
		
		if(name != null && ipexpr.test(name.value.trim())) {
			return true;
		}
		return false;
	}
	
	function generateUTCTime() {
		var datecmpobj = document.getElementById(namespace_g + "myForm:dt_it_date");
		var timecmpobj = document.getElementById(namespace_g + "myForm:dt_it_time");
		var utccmpobj = document.getElementById(namespace_g + "myForm:utc_time");

		if (isDateFormat(datecmpobj) && isTimeFormat(timecmpobj)) {
			var inputDate = hX.getComponentById(namespace_g + "myForm:dt_it_date").getValue(true);
			var inputTime = hX.getComponentById(namespace_g + "myForm:dt_it_time").getValue(true);
			var inputDateTime = new Date(inputDate.getFullYear(),inputDate.getMonth(),inputDate.getDate(),inputTime.getHours(),inputTime.getMinutes(),inputTime.getSeconds());		
			utccmpobj.innerHTML = generateUTCString(inputDateTime);
		} else {
			utccmpobj.innerHTML = "";
		}
	}

