/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var alreadyConfirmed = false;
function firmware_valueChange() {
	var obj = document.getElementsByName(namespace_g + "myForm:fileupload1");
	obj[0].value = "";
	document.getElementById(namespace_g + "myForm").target = "_self";
	//To stop possible previous ajax call back functions.
	firmware_pollProgressCallback = doNothing;
	document.getElementById(namespace_g + "myForm").submit();
}
function doNothing(){
}

function onLoad_UpdateFirmware(){
	initErrorMessage();
	firmware_startWait();
	initLastPreverifyTimeStamp();
	//Display or hide the preverify area according to the current device type
	if("true" == document.getElementById(namespace_g + "myForm:currDeviceCtlr").innerHTML.toLowerCase()){
		document.getElementById("lastPreverifyResultTR").style.display = "";
		document.getElementById("doPreverifyTR").style.display = "";
		document.getElementById("controllerStateTR").style.display = "";
	}else{
		document.getElementById("lastPreverifyResultTR").style.display = "none";
		document.getElementById("doPreverifyTR").style.display = "none";
		document.getElementById("controllerStateTR").style.display = "none";
	}
}

window.onbeforeunload = confirmBrowseAway;

function confirmBrowseAway()
{  
	if(self.document.title == "UpdateFirmware" && isUpdating() && !alreadyConfirmed)
	{
		return document.getElementById(namespace_g+"myForm:navigateAwayFWPageNLSMessage").innerHTML; 
	}
}

function initLastPreverifyTimeStamp()
{
	if(null == document.getElementById('preverify_date_span')){
		//do nothing
	}
	else
	{
		var milliseconds = document.getElementById(namespace_g + "myForm:lastPreverifyTime").innerHTML.toLowerCase();
		document.getElementById('preverify_date_span').innerHTML = getLocalizedTimeStamp(milliseconds);
	}
}

/**
* Check if update action is in progress
* if yes, show progress
*/
function firmware_startWait() {
	if(isUpdating()){
		document.getElementById("progress_div").style.display = "";
		document.getElementById("request_div").style.display="none";
		document.getElementById("faliure_div").style.display="none";
		setTimeout(firmware_pollProgress,200);
		if(parent){
			parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
		}
	}
}

function isUpdating()
{
	if("true" == document.getElementById(namespace_g + "myForm:showProgress").innerHTML)
	{
		return true;
	}
	else
	{
		return false;
	}
}

/**
* click the send poll progress ajax panel button 
*/
function firmware_pollProgress() {
	document.getElementById(namespace_g + "myForm:pollProgressBtn").click();
}

/**
* check if the update action is finished
* if finished, stop wait
* if not finished, sleep 2 seconds and go on checking
*/
function firmware_pollProgressCallback() {
	if("true" == document.getElementById(namespace_g+"myForm:pollingThreadBusy").innerHTML.toLowerCase()){
		setTimeout(firmware_pollProgress,2000);
	}else{
		firmware_stopWait();
	}
	if(parent){
		parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
	}
}
var MAX_ERROR_RETRY = 3;
var errorcount = 0;
function firmware_pollingOnError(){
	errorcount++;
	if(errorcount>=MAX_ERROR_RETRY){
		alreadyConfirmed = true;
		firmware_pollFailed();
	}else{
		firmware_pollProgressCallback();
	}
}
/**
* The update action is finished, refresh the page
*/
function firmware_stopWait(){
	// Add beep when refresh finish.
	beepWhenRefresh();
	alreadyConfirmed = true;
	if("true" == document.getElementById(namespace_g + "myForm:isFailed").innerHTML){
		firmware_pollFailed();
	}
	else {
		alreadyConfirmed = true;
		setTimeout(lazyRefshPage,200);
	}
}

/**
* The servlet failed to send back status, show error message.
*/
function firmware_pollFailed(){
	document.getElementById("request_div").style.display="none";
	//refresh the failure message from the ajax hidden text to the failure div text.
	document.getElementById(namespace_g + "myForm:updateFailureDisplay_text").innerHTML = document.getElementById(namespace_g + "myForm:updateFailureHidden_text").innerHTML;
	document.getElementById("faliure_div").style.display="block";
	if ("true" == document.getElementById(namespace_g + "myForm:currDeviceCtlr").innerHTML) {
		document.getElementById("progress_div").style.display = "block";
	}else{
		document.getElementById("progress_div").style.display = "none";
	}
	innerMessagesInstance.display();
	parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
}

/**
* validate the selected 
*/
function firmware_preUpdateFirmware() {
	var obj = document.getElementById(namespace_g+ "myForm:fileupload1");
	var confirmMsg = document.getElementById(namespace_g + "myForm:confirmationMessage").innerHTML;
	var inforMsg = document.getElementById(namespace_g + "myForm:informationMessage").innerHTML;
	
	var filename = obj.value;
	if(filename.indexOf(".")>0){
		document.getElementById(namespace_g + "myForm:install_firmware_dialog_tb").lastChild.nodeValue = confirmMsg;
		document.getElementById(namespace_g + "myForm:showConfirmDialogBtn").click();
	}
	else if(filename.length > 0 ) {
		document.getElementById(namespace_g + "myForm:alert_text").innerHTML = document.getElementById(namespace_g + "myForm:hiddenInstallInvalidat").innerHTML;	   
		document.getElementById(namespace_g + "myForm:alert_dialog_tb").lastChild.nodeValue = inforMsg;
		document.getElementById(namespace_g + "myForm:showAlertDialogBtn").click();
	}
	else {	
		document.getElementById(namespace_g + "myForm:alert_text").innerHTML = document.getElementById(namespace_g + "myForm:hiddenInstallAlert").innerHTML;		   
		document.getElementById(namespace_g + "myForm:alert_dialog_tb").lastChild.nodeValue = inforMsg;
		document.getElementById(namespace_g + "myForm:showAlertDialogBtn").click();
	}
	
}

function firmware_confirm(){
    // before we want to submit  
    // display the  menu1 
    document.getElementById(namespace_g + "myForm:menu1").disabled = false;
    
    document.getElementById(namespace_g + "myForm:ok_button").disabled = true;
	document.getElementById(namespace_g + "myForm:button1").disabled="true";
	document.getElementById(namespace_g + "myForm:submitFormBtn").click();
}

function lazyRefshPage(){
	window.location = window.location;
}

function firmware_failureClose() {
	document.getElementById('request_div').style.display = 'block';
	document.getElementById('faliure_div').style.display = 'none';
	document.getElementById('progress_div').style.display = 'none';
	document.getElementById(namespace_g + "myForm:button1").disabled=false;
	document.getElementById(namespace_g + "myForm:ok_button").disabled = false;	
	return false;
}

function firmware_gotoShutdownRecover() {
	document.getElementById(namespace_g + "myForm:gotoShutdownAndRecoverPage").click();
}
