/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// configureStorage.js
function onLoad_WizardConfigureStorage(){
	var historyValue = document.getElementById(namespace_g + "myForm:historyValue").innerHTML;
	if (historyValue != "") {
		if (historyValue == "saved") {
			document.getElementById("savedConfiguration").click();
		} else if (historyValue == "backup") {
			document.getElementById("backupConfiguration").click();
		} else if (historyValue == "easy") {
			document.getElementById("createConfiguration").click();
			document.getElementById("chooseDrives_easy").click();
		} else if (historyValue == "advanced") {
			document.getElementById("createConfiguration").click();
			document.getElementById("chooseDrives_advanced").click();
		}
	} else {
		document.getElementById("createConfiguration").click();
		document.getElementById("chooseDrives_easy").click();
	}
	document.getElementsByTagName("body")[0].className = "wizardFrameBody";
	if (parent) {
		parent.refreshNext();
	}
	
	// initial error message	
	initErrorMessage();	
}


// set tag for wizard 
function forwardNextPage(isForward, isRefreshNextButton){
	var isNext = document.getElementById(namespace_g + "myForm:isNext");
	isNext.value = isForward;
	if (parent) {
		parent.refreshNext();
	}
}


function configureStorage(_object) {
	forwardNextPage("false", true);	
	var chooseValue = _object.value;
	
	if( chooseValue == "saved" || chooseValue == "backup"){
		setCheckedRadio("chooseDrivesRadio", false);
		setDisabledRadio("chooseDrivesRadio", true);
		document.getElementById(namespace_g + "myForm:chooseRadioValue").value = chooseValue;
		forwardNextPage("true", true);
	}else if( chooseValue == "create"){
		setDisabledRadio("chooseDrivesRadio", false);
	}else if( chooseValue == "easy" || chooseValue == "advanced"){
		document.getElementById(namespace_g + "myForm:chooseRadioValue").value = chooseValue;
		forwardNextPage("true", true);
	}
}


function setDisabledRadio(_radiosName, _flag){
	var radios = document.getElementsByName(_radiosName);
	if(radios){
		for( var i=0; i < radios.length; i++){
			 radios[i].disabled = _flag;
		}
	}
}


function setCheckedRadio(_radiosName, _flag){
	var radios = document.getElementsByName(_radiosName);
	if(radios){
		for( var i=0; i < radios.length; i++){
			 radios[i].checked = _flag;
		}
	}
}
