/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// modifyPasswords.js



function onLoad_UserAdministration(){
     LoadCommonPage();
}

function onLoad_ModifyPasswordStandalone(){	
	parent.stopWait("util_dialog");
	displayMainContents(true);
	initModifyPasswordStandalone();
}

function onLoad_ModifyPasswordWizardRAID(){
	refreshBodyMargin();
	if (parent) {
		parent.refreshNext();
	}
	var oldpwd = document.getElementById(namespace_g+"myForm:aria_label_oldPassword_label").innerHTML;
	var newpwd = document.getElementById(namespace_g+"myForm:aria_label_newPassword_label").innerHTML;
	var cfmpwd = document.getElementById(namespace_g+"myForm:aria_label_verifyPassword_label").innerHTML;
	document.getElementById(namespace_g+"myForm:oldPassword").setAttribute('aria-label',oldpwd);
	document.getElementById(namespace_g+"myForm:newPassword").setAttribute('aria-label',newpwd);
	document.getElementById(namespace_g+"myForm:confirmPassword").setAttribute('aria-label',cfmpwd);
}

function onLoad_ModifyPasswordWizardSAS(){
	refreshBodyMargin();
	initIOBay();
	if (parent) {
		parent.refreshNext();
	}
	var newpwd = document.getElementById(namespace_g+"myForm:label_NewPassword_USERID_fmt").innerHTML;
	var cfmpwd = document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID_fmt").innerHTML;

	var newpwd1 = document.getElementById(namespace_g+"myForm:label_NewPassword_USERID1_fmt").innerHTML;
	var cfmpwd1 = document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID1_fmt").innerHTML;

	var newpwd2 = document.getElementById(namespace_g+"myForm:label_NewPassword_USERID2_fmt").innerHTML;
	var cfmpwd2 = document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID2_fmt").innerHTML;

	var newpwd3 = document.getElementById(namespace_g+"myForm:label_NewPassword_USERID3_fmt").innerHTML;
	var cfmpwd3 = document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID3_fmt").innerHTML;

	//suppose below codes will be works.
	// Since the new pwd's label only can be read by in Virtual PC cursor off mode, so we have to make the lable visiable and using aria-labelledby properties.
	// fly away new password column
	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:NewPassword_USERID").setAttribute('aria-labelledby',namespace_g+"myForm:label_NewPassword_USERID_fmt");

	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID1_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID1_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:NewPassword_USERID1").setAttribute('aria-labelledby',namespace_g+"myForm:label_NewPassword_USERID1_fmt");

	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID2_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID2_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:NewPassword_USERID2").setAttribute('aria-labelledby',namespace_g+"myForm:label_NewPassword_USERID2_fmt");

	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID3_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_NewPassword_USERID3_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:NewPassword_USERID3").setAttribute('aria-labelledby',namespace_g+"myForm:label_NewPassword_USERID3_fmt");
	
	//fly away confirmed password
	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID").setAttribute('aria-labelledby',namespace_g+"myForm:label_cfmPassword_USERID_fmt");

	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID1_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID1_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID1").setAttribute('aria-labelledby',namespace_g+"myForm:label_cfmPassword_USERID1_fmt");

	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID2_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID2_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID2").setAttribute('aria-labelledby',namespace_g+"myForm:label_cfmPassword_USERID2_fmt");

	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID3_fmt").style.display="";
	document.getElementById(namespace_g+"myForm:label_cfmPassword_USERID3_fmt").className="scm_flyaway_component";
	document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID3").setAttribute('aria-labelledby',namespace_g+"myForm:label_cfmPassword_USERID3_fmt");

}

function hideCloseLink() {
 
	var closeLink = document.getElementById(namespace_g+"myForm:messagesSubview:close_link");
	if(closeLink != null) {
	 	document.getElementById(namespace_g+"myForm:messagesSubview:close_link").style.display="none";
	}
}

/**
 * This function initial message
 * 
 */
function initModifyPasswordStandalone(){
	var showOldPassword = parent.document.getElementById(namespace_g+"myForm:showOldPassword").value;
	if( showOldPassword == "true"){
		document.getElementById("oldPassword_tr").style.display = "";
	}else if( showOldPassword == "false"){
		document.getElementById("oldPassword_tr").style.display = "none";
	} 
	
	document.getElementById(namespace_g+"myForm:type").value = parent.document.getElementById(namespace_g+"myForm:type").value;
	document.getElementById(namespace_g+"myForm:isRaidSide").value = parent.document.getElementById(namespace_g+"myForm:isRAIDSide").value;
	document.getElementById(namespace_g+"myForm:showOldPassword").value = showOldPassword; 	
	document.getElementById(namespace_g+"myForm:selectedUserID").value = parent.document.getElementById(namespace_g+"myForm:selectedUserID").value;
	document.getElementById(namespace_g+"myForm:selectedAccessLevel").value = parent.document.getElementById(namespace_g+"myForm:selectedAccessLevel").value;		
	document.getElementById(namespace_g+"myForm:USER_ID").innerHTML = document.getElementById(namespace_g+"myForm:selectedUserID").value;
	if(document.getElementById(namespace_g+"myForm:isRaidSide").value == "true" || document.getElementById(namespace_g+"myForm:isStandalone").innerHTML == "true"){
		document.getElementById(namespace_g+"myForm:pairChecked").style.display = 'none';
		document.getElementById(namespace_g+"myForm:pairCheckedStr").style.display = 'none';
	}
}

function initIOBay(){
	var IOBay = document.getElementById(namespace_g+"myForm:IOBay").value;

	if( IOBay == "3"){
		document.getElementById("radio_Bay3").click();
	}else if( IOBay == "4"){
		document.getElementById("radio_Bay4").click();
	}else if( IOBay == "0" || IOBay == ""){
		document.getElementById("radio_bothBay").click();	
	}
}

function LoadCommonPage() {
	hideCloseLink()
	
	refreshBodyMargin();
	lazyLoad();
	
	if (parent) {
		parent.refreshNext();
	}
}

// delay the loading time
function lazyLoad() {
    setTimeout(lazyDo ,5);	
}

// trigger Ajax call				
function lazyDo() {
	var obj = document.getElementById(namespace_g + "myForm:clickbtn");
	obj.click();
}

function refreshBodyMargin() {
	document.getElementsByTagName("body")[0].className = "wizardFrameBody";
}

/**
 * This function checks the string if a valid string.
 * 
 */
function isValidString(str) {
	if (str != null && str != "") {
		return true;
	} else {
		return false;
	}
}

/**
 * This function show error message
 * 
 */
function showErrorMsg(id_tr, id_span, errorMsg) {
   var objTr = document.getElementById(id_tr);
   var objSpan = document.getElementById(id_span);
	
   objTr.style.display="";
   objSpan.innerHTML = errorMsg;  
   document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
}

/**
 * This function clear error message
 * 
 */
function clearErrorMsg(pageTitle){
	if( pageTitle == "ModifyPasswordStandalone"){
		document.getElementById("oldPasswordError_tr").style.display = "none";
		document.getElementById("oldPasswordError_span").innerHTML = "";
		document.getElementById("newPasswordError_tr").style.display = "none";
		document.getElementById("newPasswordError_span").innerHTML = "";
		document.getElementById("verifyPasswordError_tr").style.display = "none";
		document.getElementById("verifyPasswordError_span").innerHTML = "";
	}else if( pageTitle == "ModifyPasswordsWizardRAID"){
		document.getElementById("ErrorMessage_tr").style.display = "none";
		document.getElementById("ErrorMessage_span").innerHTML = "";
		
		document.getElementById(namespace_g+"myForm:oldPassword").className = "dmc_inputText";
		document.getElementById(namespace_g+"myForm:newPassword").className = "dmc_inputText";
		document.getElementById(namespace_g+"myForm:confirmPassword").className = "dmc_inputText";
	}else if( pageTitle == "ModifyPasswordsWizardSAS"){
		document.getElementById("ErrorMessage_tr").style.display = "none";
		document.getElementById("ErrorMessage_span").innerHTML = "";
		
		document.getElementById(namespace_g+"myForm:CurrentPassword_USERID").className = "dmc_inputText";
		document.getElementById(namespace_g+"myForm:NewPassword_USERID").className = "dmc_inputText";
		document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID").className = "dmc_inputText";			
		for (var i=1; i<4; i++) {	
			 document.getElementById(namespace_g+"myForm:NewPassword_USERID"+i).className = "dmc_inputText";
			 document.getElementById(namespace_g+"myForm:ConfirmPassword_USERID"+i).className = "dmc_inputText";					
		}
	}
}

/**
 * Check the user's password.
 *
 */
function checkPassword(newPwdId, confirmPwdId, id_tr, id_span) {
	//check the new password and confirm new password
	if (checkOnePwd(newPwdId,id_tr, id_span) == false) {
		return false;
	}
	if (checkOnePwd(confirmPwdId,id_tr, id_span) == false) {
		return false;
	}		
	if (validateMatchPassword( newPwdId, confirmPwdId, id_tr, id_span) == false) {
		return false;
	}
	return true;
}

/**
 * Just check one user's password if comply with the rules.
 *
 */
function checkOnePwd(id_password, id_tr, id_span){
	var errMsg = null;
	var password = document.getElementById(id_password).value;
    
	if( password == ""){
		errMsg = document.getElementById(namespace_g+ "myForm:BlankPassword").innerHTML;
		showErrorMsg(id_tr, id_span, errMsg);		
		document.getElementById(id_password).className = "dmc_outputText";
		return false;
	}	
	if((password.length < 8) || (password.length > 16)) {
		errMsg = document.getElementById(namespace_g+"myForm:PasswordLengthError").innerHTML;
		showErrorMsg(id_tr, id_span, errMsg);		
		document.getElementById(id_password).className = "dmc_outputText";
		return false;		
	}	
	if( password.match(/\d/g) == null) {
		errMsg = document.getElementById(namespace_g+"myForm:PasswordNumberError").innerHTML;
		showErrorMsg(id_tr, id_span, errMsg);		
		document.getElementById(id_password).className = "dmc_outputText";
		return false;		
	}	
	if (password.match(/[a-z]/gi) == null) {
		errMsg = document.getElementById(namespace_g+"myForm:PasswordLetterError").innerHTML;
		showErrorMsg(id_tr, id_span, errMsg);		
		document.getElementById(id_password).className = "dmc_outputText";
		return false;		
	}
	if(password.match(/^[0-9a-zA-Z]{8,16}$/) == null){
		errMsg = document.getElementById(namespace_g+"myForm:PasswordAlphanumericError").innerHTML;
		showErrorMsg(id_tr, id_span, errMsg);		
		document.getElementById(id_password).className = "dmc_outputText";
		return false;
	}
		
	return true;
}

/**
 * Just check two passwords are equal
 *
 */
function validateMatchPassword( newPasswordId, confirmPasswordId, id_tr, id_span){
	var errMsg = null;
	var newPassword = document.getElementById(newPasswordId).value;
	var confirmPassword = document.getElementById(confirmPasswordId).value;
	
	if( newPassword != confirmPassword){
		errMsg = document.getElementById(namespace_g+"myForm:MismatchPassword").innerHTML;
		showErrorMsg( id_tr, id_span, errMsg);
		document.getElementById(newPasswordId).className = "dmc_outputText";
		document.getElementById(confirmPasswordId).className = "dmc_outputText";
		document.getElementById(confirmPasswordId).value = "";
		return false;
	}
	return true;
}

/**
 * Just check the necessary of password validation
 *
 */
function needCheck( newPasswordId, confirmPasswordId){
	var newPassword = document.getElementById(newPasswordId);
	var confirmPassword = document.getElementById(confirmPasswordId);
	if(isValidString(newPassword.value) == true || isValidString(confirmPassword.value) == true) {
		return true;
	} else {
		return false;
	}
}

/************************** Begin UserAdministration.jsp ********************************************************/

/**
 * The method will be called when selecting checkBox on UserAdministration.jsp.
 *
 */
 var _cachedCheckedBoxId = null;
function selectCheckBox_UserAdministration(_event, _objectID) {
	document.getElementById(namespace_g+"myForm:ModifyPassword_Button").disabled = false;
	
	var type = document.getElementById(namespace_g+"myForm:type").value;
	var currentAccessLevel = document.getElementById(namespace_g+"myForm:currentAccessLevel").value;
	var currentUserID = document.getElementById(namespace_g+"myForm:currentUserID").value;	
	var srcobj = _event.srcElement ? _event.srcElement : _event.target;
	var checkBoxObj = srcobj;
	if (srcobj.tagName.toUpperCase() == "INPUT") {
		while(srcobj.tagName != "TR"){
	 	  	  srcobj = srcobj.parentNode;
		}		
	}
	if(_cachedCheckedBoxId==null){
		_cachedCheckedBoxId = _objectID;
	}else{
		document.getElementById(_cachedCheckedBoxId).value = "false";
		document.getElementById(_cachedCheckedBoxId).checked = false;
		_cachedCheckedBoxId = _objectID;
	}
	checkBoxObj.checked = true;
	checkBoxObj.value = "true";
	
	var spansObj = srcobj.getElementsByTagName("span");
	var selectedUserID = null;
	var selectedAccessLevel = null;
	for (var j = 0;j < spansObj.length;j ++) {
		if (spansObj[j].id.indexOf("userID") != -1) {
			selectedUserID = spansObj[j].innerHTML;
		}			
		if (spansObj[j].id.indexOf("accessLevel") != -1) {
			selectedAccessLevel = spansObj[j].innerHTML;
			selectedAccessLevel = removeNbsp(selectedAccessLevel);
		}					
	}	
	document.getElementById(namespace_g+"myForm:selectedUserID").value = document.getElementById(_objectID).nextSibling.innerHTML;
	if( type == "SASSwitch"){
		document.getElementById(namespace_g+"myForm:selectedAccessLevel").value = selectedAccessLevel;
				
		if( selectedAccessLevel && currentAccessLevel){
			if( selectedAccessLevel < currentAccessLevel){
			    document.getElementById(namespace_g+"myForm:showOldPassword").value = "false";			   
			}else if(selectedAccessLevel == currentAccessLevel){
				document.getElementById(namespace_g+"myForm:showOldPassword").value = "true";				
			}else {
				document.getElementById(namespace_g+"myForm:ModifyPassword_Button").disabled = true;
			}
		}
	}else if( type == "StorageSystem" ){			
		document.getElementById(namespace_g+"myForm:showOldPassword").value = "true";				
	}
}
function removeNbsp(srcStr){
    	return srcStr.substring(srcStr.lastIndexOf("&nbsp;")>=0?srcStr.lastIndexOf("&nbsp;")+"&nbsp;".length:0);
}



/**
 * This function validates the input data of the current user for ModifyPasswordStandalone page
 *
 */
function checkModifyPasswordStandalone(thisObj, thisEvent){	
	clearErrorMsg("ModifyPasswordStandalone");
	var showOldPassword = parent.document.getElementById(namespace_g+"myForm:showOldPassword").value;
	var oldPassword     = document.getElementById(namespace_g+"myForm:oldPassword").value;
	
	var newPasswordId   = namespace_g+"myForm:newPassword";
	var newPassword     = document.getElementById(newPasswordId).value;
	
	var verifyPasswordId= namespace_g+"myForm:verifyPassword";
	var verifyPassword  = document.getElementById(verifyPasswordId).value;
	
	var isRaidSide 		= document.getElementById(namespace_g+"myForm:isRaidSide").value;
	var errMsg = null;
	var errHight = "";
	if( isRaidSide == "true"){
	    errHight = 260;
	}else{
	    errHight = 270;
	}
	
	if(showOldPassword == "true"){
		if( oldPassword == ""){
			errMsg = document.getElementById(namespace_g+"myForm:BlankPassword").innerHTML;
			showErrorMsg('oldPasswordError_tr','oldPasswordError_span', errMsg);
			document.getElementById(namespace_g+"myForm:oldPassword").className = "dmc_outputText";
			// Defect 8442 adjust dialog size for validation message
			adjustDialogSizeForValidationMessage(410,errHight);
			document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
			return false;
		}
	}
		
	if( !checkOnePwd( newPasswordId, 'newPasswordError_tr','newPasswordError_span')){
		// Defect 8442 adjust dialog size for validation message
		if( showOldPassword == "true"){
			adjustDialogSizeForValidationMessage(410,errHight);
		}
		document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
		return false;
	}
	if( !checkOnePwd( verifyPasswordId, 'verifyPasswordError_tr','verifyPasswordError_span')){
		// Defect 8442 adjust dialog size for validation message
		if( showOldPassword == "true"){
			adjustDialogSizeForValidationMessage(410,errHight);
		}
		document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
		return false;
	}
	if( !validateMatchPassword( newPasswordId,verifyPasswordId, 'verifyPasswordError_tr','verifyPasswordError_span')){
		// Defect 8442 adjust dialog size for validation message
		if( showOldPassword == "true"){
			adjustDialogSizeForValidationMessage(410,errHight);
		}
		document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
		return false;
	}
   
    // Show Indicator
    showProgressIndicator('spinningDiv');	
}
/************************** End UserAdministration.jsp************************************************************/

function changePasswordRadioClick(_object){
	document.getElementById(namespace_g+"myForm:IOBay").value = _object.value;	
}

/**
 * This function validates the input data of the current user for ModifyPasswordsWizardRAID page
 *
 */
function checkModifyPasswordsWizardRAID(){
	clearErrorMsg("ModifyPasswordsWizardRAID");
	var oldPassword     = document.getElementById(namespace_g+"myForm:oldPassword").value;
	
	var newPasswordId   = namespace_g+"myForm:newPassword";
	var newPassword     = document.getElementById(newPasswordId).value;
	
	var confirmPasswordId = namespace_g+"myForm:confirmPassword";
	var confirmPassword  = document.getElementById(confirmPasswordId).value;
	
	if( oldPassword == ""){
		errMsg = document.getElementById(namespace_g+"myForm:BlankPassword").innerHTML;
		showErrorMsg('ErrorMessage_tr','ErrorMessage_span', errMsg);
		document.getElementById(namespace_g+"myForm:oldPassword").className = "dmc_outputText";
		document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
		return false;
	}
		
	if( !checkPassword(newPasswordId, confirmPasswordId, 'ErrorMessage_tr','ErrorMessage_span')){
	    document.getElementById(namespace_g+ "myForm:validation_subview:showValidationBtn").click();
		return false;
	}
	document.getElementById(namespace_g+"myForm:PasswordBut").disabled = true;
	
	// show indicator
	showProgressIndicator('spinningDiv');
	
	document.getElementById(namespace_g+'myForm:changePasswordBut').click();
	return true;
}

/**
 * This function validates the input data of the current user for ModifyPasswordsWizardSAS page
 *
 */
function checkModifyPasswordsWizardSAS(){
	clearErrorMsg("ModifyPasswordsWizardSAS");
	var errorMsg = null;
	var id_tr = "ErrorMessage_tr";
	var id_span = "ErrorMessage_span";	
	var currentPassword_USERID = namespace_g+"myForm:CurrentPassword_USERID";
	var newPassword_USERID = namespace_g+"myForm:NewPassword_USERID";
	var confirmPassword_USERID = namespace_g+"myForm:ConfirmPassword_USERID";
	//1.CHECK WETHER CURRENT PASSWORD INPUT OR NOT
	if( isValidString(document.getElementById(currentPassword_USERID).value) == false ) {
		errorMsg = document.getElementById(namespace_g+"myForm:BlankPassword").innerHTML;
		showErrorMsg(id_tr,id_span, errorMsg);
		currentPassword_USERID.className = "dmc_outputText";
		return false;
	}
	
	
	var newPassword_USERIDValue  = document.getElementById(namespace_g+"myForm:NewPassword_USERID").value;
	var newPassword_USERID1Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID1").value;
	var newPassword_USERID2Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID2").value;
	var newPassword_USERID3Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID3").value;
	if (isValidString(newPassword_USERIDValue) == false 
			&& isValidString(newPassword_USERID1Value) == false 
			&& isValidString(newPassword_USERID2Value) == false 
			&& isValidString(newPassword_USERID3Value) == false) {
		errorMsg = document.getElementById(namespace_g+"myForm:BlankPassword").innerHTML;
		
		//if USERID is enabled but without input
		if( document.getElementById(namespace_g+"myForm:NewPassword_USERID").disabled==false ){
  		    showErrorMsg(id_tr,id_span, errorMsg);
  		    document.getElementById(newPassword_USERID).className = "dmc_outputText";
	        return false;
		}else{
		//if USERID1 or USERID2 or USERID3 is enabled but without input
		    for(var i=1;i<4;i++){
		        var currentEnabled = namespace_g+"myForm:NewPassword_USERID"+i;
		        if(document.getElementById(currentEnabled).disabled==false){
		            document.getElementById(currentEnabled).className = "dmc_outputText";
      		        showErrorMsg(id_tr,id_span, errorMsg);
	                return false;		          
		        }
		    }
		}
	}
		
	
	//2.IF INPUT USERID'S NEW PASSWORD AND CONFIRM PASSWORD, CHECK IT.
	if(needCheck(newPassword_USERID, confirmPassword_USERID) == true) {			
		if(checkPassword(newPassword_USERID, confirmPassword_USERID, id_tr, id_span) == false) {
			return false;
		} 
	}
	
	//2.IF INPUT USERID1 etc'S NEW PASSWORD AND CONFIRM PASSWORD, CHECK IT.
	
	for (var i=1; i<4; i++) {
        
		var NPI = namespace_g+"myForm:NewPassword_USERID"+i;
	    var CPI = namespace_g+"myForm:ConfirmPassword_USERID"+i;	
				
		if(needCheck(NPI, CPI) == true) {				
			if(checkPassword(NPI,CPI, id_tr, id_span) == false) {
				return false;
			} 
		}			
	}
	
	/*need reminding message for user if user has no any inputs 
	var newPassword_USERIDValue  = document.getElementById(namespace_g+"myForm:NewPassword_USERID").value;
	var newPassword_USERID1Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID1").value;
	var newPassword_USERID2Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID2").value;
	var newPassword_USERID3Value = document.getElementById(namespace_g+"myForm:NewPassword_USERID3").value;
	if (isValidString(newPassword_USERIDValue) == false 
			&& isValidString(newPassword_USERID1Value) == false 
			&& isValidString(newPassword_USERID2Value) == false 
			&& isValidString(newPassword_USERID3Value) == false) {
		errorMsg = document.getElementById(namespace_g+"myForm:BlankPassword").innerHTML;
		showErrorMsg(id_tr,id_span, errorMsg);
		//if USERID is enabled but without input
		if( document.getElementById(namespace_g+"myForm:NewPassword_USERID").disabled==false ){
  		    document.getElementById(namespace_g+"myForm:NewPassword_USERID").className = "dmc_outputText";
		    showErrorMsg(id_tr,id_span, errorMsg);
	        return false;
		}else{
		//if USERID1 or USERID2 or USERID3 is enabled but without input
		    for(var i=1;i<4;i++){
		        var currentEnabled = namespace_g+"myForm:NewPassword_USERID"+i;
		        if(document.getElementById(currentEnabled).disabled==false){
		            document.getElementById(currentEnabled).className = "dmc_outputText";
      		        showErrorMsg(id_tr,id_span, errorMsg);
	                return false;		          
		        }
		    }
		}
	}*/
	document.getElementById(namespace_g+'myForm:changePwdBtn').disabled = true;
	
	// show indicator
	showProgressIndicator('spinningDiv');
	
	return true;

}

function disableModifyPasswordBtn(flag){
	document.getElementById(namespace_g+"myForm:ok_Button").disabled = flag;
	document.getElementById(namespace_g+"myForm:cancel_Button").disabled = flag;
}

function oncomplete_modifyPasswrd(){
    displayMainContents(false);
	document.getElementById(namespace_g+"myForm:cancel_Button").click();
	parent.document.getElementById(namespace_g+"myForm:clickbtn").click();				
}

function disableModifyPasswordButton2(flag){
	document.getElementById(namespace_g+"myForm:ModifyPassword_Button").disabled = flag;
}


function userAdminOnAjaxComplete(){
	disableRefreshButton(false);
	setLastRefreshStamp();
	displayMainContents(true);
	beepWhenRefresh();
	alignHeaderTableAndContentTable('headerTableDivId','expandPoolCapacityOptionTable_Switch')
	alignHeaderTableAndContentTable('headerTableDivId1','expandPoolCapacityOptionTable_Raid');
	parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
}
