/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var page_name_def = "ViewAlerts";

function highlightStartRow(tableId)
{
	var elmt = document.getElementById(tableId);
	if(elmt==null)
		return;
	var tbody = elmt.getElementsByTagName("tbody");
	if(tbody==null || tbody.length==0)
		return;
	trs = tbody[0].getElementsByTagName("tr");
	for(var i=0;i<trs.length;i++){
	   var node = trs[i];
	  while(node){
		 node = node.childNodes[0];	
		 if(node.tagName)
		    if(node.tagName=="INPUT")
		    	break;
	  }
	  if(node.tagName=="INPUT" && node.checked){
			trs[i].className="dmc_rowHightLightClass";
			trs[i].vAlign="top";
		}
	  else{
		  if(i%2==0)
		    trs[i].className="dmc_rowClass1";
		   else
		    trs[i].className="dmc_rowClass2";    
		}
	}
}

var GUI_Alert_Type_Clearable = 0;
var GUI_Alert_Type_Maskable = 1;
var GUI_Alert_Type_Unknown = 2;

var selectedAlertsID = "";
function checkThis(theObj,type,id,code,isPhysicalResource,masked){
	if(selectedAlertsID!=""){
	   document.getElementById(selectedAlertsID).value="false";
	}
	theObj.value="true";
	selectedAlertsID = theObj.id;
	
	theObj.checked=true;
    
	var parentTableObj = theObj.parentNode;
	while(parentTableObj.tagName.toLowerCase() != "table"){
		parentTableObj = parentTableObj.parentNode;
	}
	var allAlertsNumber = parentTableObj.rows.length;
    if(allAlertsNumber > 1){
        //Need to discount the table header row as an alert.
        allAlertsNumber = allAlertsNumber-1;
    }

    //Uncheck other checkboxes.
    for(var i=0; i<allAlertsNumber; i++){
	    var curr_row = document.getElementById(namespace_g + "myForm:alertsTable:" + i + ":checkbox2");						
	    if(curr_row != null){
		    if(curr_row.id != theObj.id){
		        curr_row.checked=false;
			}
		}
    }
	highlightStartRow(namespace_g + "myForm:alertsTable");
	if(isPhysicalResource=="true"){
		document.getElementById(namespace_g + "myForm:physicalView").disabled = false;
	}else{
		document.getElementById(namespace_g + "myForm:physicalView").disabled = true;
	}
	
	if(masked=="true"){
		document.getElementById(namespace_g + "myForm:lightPathBtn").disabled = false;		
		document.getElementById(namespace_g + "myForm:disLightPathBtn").disabled = true;	
		document.getElementById(namespace_g + "myForm:lightPathBtn").style.display="";		
		document.getElementById(namespace_g + "myForm:disLightPathBtn").style.display="none";	
	}else{
		document.getElementById(namespace_g + "myForm:lightPathBtn").disabled = true;		
		document.getElementById(namespace_g + "myForm:disLightPathBtn").disabled = false;	
		document.getElementById(namespace_g + "myForm:lightPathBtn").style.display="none";		
		document.getElementById(namespace_g + "myForm:disLightPathBtn").style.display="";			
	}
	
	if(type==GUI_Alert_Type_Clearable){
		document.getElementById(namespace_g + "myForm:clearBtn").disabled = false;	
	}else{
		document.getElementById(namespace_g + "myForm:clearBtn").disabled = true;	
	}

	if (!isNaN(code) && Number(code) > 9999) {
		document.getElementById("detailFrame").src =serverPath+"/help/topic/com.ibm.storage.rssm.doc/scm_c_alerts_custom.html";
	} else {
		document.getElementById("detailFrame").src =serverPath+"/help/topic/com.ibm.storage.rssm.doc/scm_alert_"+code+"_help.html";
	}
	
	document.getElementById(namespace_g + "myForm:selectedCode").value=id;
	document.getElementById('alertDetailTR').style.display ='';
	displayAlertDetailContents(false);
}
function onRefresh(){
	disableBtns();
	disableRefreshButton(true);
	displayAlertContents(false);
	clearAllInnMessages();
	document.getElementById('alertDetailTR').style.display ='none';
}
function disableBtns(){
		document.getElementById(namespace_g + "myForm:clearBtn").disabled = true;
		document.getElementById(namespace_g + "myForm:lightPathBtn").disabled = true;		
		document.getElementById(namespace_g + "myForm:disLightPathBtn").disabled = true;	
		document.getElementById(namespace_g + "myForm:refreshBtn").disabled = false;	
		selectedAlertsID = "";
		document.getElementById(namespace_g + "myForm:physicalView").disabled = true;
		//document.getElementById('alertDetailTR').style.display ='none';
}
function onLoad_ViewAlerts(){
    
	//automaticalRefresh();
	disableBtns();
	// initial error message	
	initErrorMessage();	
	showRefresh();
	commonPageLoad();
	//doSelect();	
}
//here only for alertsTable
function adjustHeaderPaddingWidth(id)
{
	var headerDiv = document.getElementById("table_header_div");
	var bodyTable = document.getElementById(namespace_g+id);
	if (headerDiv != null && bodyTable != null) {
		var divWidth = headerDiv.clientWidth;
		var bodyTableWidth = bodyTable.offsetWidth;
		var paddingRightWidth = 0;
		if (divWidth > bodyTableWidth) {
			//the body table has the scroll bar
			paddingRightWidth = divWidth - bodyTableWidth;
		}
		headerDiv.style.paddingRight = paddingRightWidth;
	}
}

function showRefresh() {
	document.getElementById(namespace_g + 'myForm:textRefresh').style.display = '';
	document.getElementById('templ_date').style.display = '';
	document.getElementById("templ_date").innerHTML = getLocalizedCurrentTimeStamp();
	document.getElementById(namespace_g + 'myForm:refreshBtn').style.display = '';
}

function displayAlertDetailContents(flag){
	if(flag){
		document.getElementById('alertsDetail').style.display = 'block';
		document.getElementById('detailDes_div').style.display = 'none';
	}
	else{
		document.getElementById('alertsDetail').style.display = 'none';
		document.getElementById('detailDes_div').style.display = 'block';
	}	
}
// defect 11265, eliminate the auto-refresh function
//var intervalHand = null;
function automaticalRefresh(){
//    clearInterval(intervalHand);
//	intervalHand = setInterval('refreshAlerts()',30000);
}
function clearRefresh(){
//    clearInterval(intervalHand);
}
function refreshAlerts(){
//	document.getElementById("myForm:intervalBtn").click();
}
function onLoad_AlertDetail(){
	parent.displayAlertDetailContents(true);
}
String.prototype.trim = function () {
    return this.replace(/^\s*/, "").replace(/\s*$/, "");
}

function doSelect(){
	var index = 0;
	var matchSelected = false;
	var height = 0;
	var initHeight = 0;
	var selectedValue = document.getElementById(namespace_g + "myForm:selectedCode").value;
	while(document.getElementById(namespace_g + "myForm:alertsTable:"+index+":text20")!=null){
			if(index==0)
				initHeight = document.getElementById(namespace_g + "myForm:alertsTable:0:text20").parentNode.parentNode.clientHeight;
			//height+=document.getElementById(namespace_g + "myForm:alertsTable:"+index+":text20").parentNode.parentNode.clientHeight;
			var hiddenValue = document.getElementById(namespace_g + "myForm:alertsTable:"+index+":text20").innerHTML;
			if(hiddenValue==selectedValue){
				document.getElementById(namespace_g + "myForm:alertsTable:"+index+":checkbox2").previousSibling.click();
				matchSelected = true;
				break;
			}
			index++;
		}
		if(!matchSelected){
		 document.getElementById('alertDetailTR').style.display ='none';		
		}else{
			var alertsScroll = document.getElementById("alertsScroll");
			var trObj = document.getElementById(namespace_g + "myForm:alertsTable:"+index+":checkbox2").parentNode.parentNode.parentNode;
			var rowIndex = trObj.rowIndex;
			height = initHeight*rowIndex;
			//set scroll to middle
			alertsScroll.scrollTop = ((height-initHeight-60)>0)?(height-initHeight-60):0;		
		}
}

function displayAlertContents(flag){
	if(flag){
		document.getElementById("request_div").style.display="block";
		document.getElementById("progress_div").style.display="none";	
		document.getElementById("error_div").style.display="none";	
	}else{
		document.getElementById("request_div").style.display="none";
		document.getElementById("progress_div").style.display="block";
		document.getElementById("error_div").style.display="none";	
	}
}
function displayAlertErrorContents(){
		document.getElementById("request_div").style.display="none";
		document.getElementById("progress_div").style.display="none";	
		document.getElementById("error_div").style.display="block";	
}

function onAjaxError(){
	innerMessagesInstance.display();
	disableRefreshButton(false);
	setLastRefreshStamp();
	displayAlertErrorContents();
	parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
}
function onAjaxCompleted(){
	innerMessagesInstance.display();
	disableRefreshButton(false);
	setLastRefreshStamp();
	displayAlertContents(true);
	doSelect();
	adjustHeaderPaddingWidth("myForm:alertsTable");
	initAlertsTable();
	parent.resizeFrameHeight('dynamicFrame', 'dynamicFrame');
}

var headerSpanIDs = new Array(namespace_g+"myForm:alertsTableHeader:sseverity",namespace_g+"myForm:alertsTableHeader:sdatetime",
								"",namespace_g+"myForm:alertsTableHeader:salertcode",
								 namespace_g+"myForm:alertsTableHeader:stype","");
var alertsTableColumnTypes = new Array("String", "String", "Date", "","String","String","");


var sortTableID = namespace_g+"myForm:alertsTable";
var sorttable = null;
function sortAlertsTable(tableColumn) {
	sorttable.sort(tableColumn);
	setTableClass(sortTableID);

    for(var i=0; i<headerSpanIDs.length; i++){
    	if(i == (tableColumn-1)) {
			updateAllOtherColumnHeaderImg(headerSpanIDs[i]);    	
    	}
    }
    document.getElementById(sortTableID).focus();
    doSelect();
}


function setTableClass(tableID) {
	var rows = document.getElementById(tableID).tBodies[0].rows;
			
	for(var i=0; i<rows.length; i++) {
		if(i%2 == 0) {
			rows[i].className = "dmc_rowClass1";
		} else {
			rows[i].className = "dmc_rowClass2";
		}		
	}
}

/**
 * Update all other images of the column headers except for the clicked column header
 *
 */
function updateAllOtherColumnHeaderImg(spanID) {
	updateClickedColumnHeaderImg(spanID);
    for(var i=0; i<headerSpanIDs.length; i++) {
    	if (spanID != headerSpanIDs[i]) {
			var oNode = document.getElementById(headerSpanIDs[i]);
			if(oNode)
			{
				var cs = oNode.childNodes;
				var initSrc = cs[1].src;
				cs[1].src = document.global_context_path + "/images/sortbi.gif";   
				cs[1].title=bundle.Common_SortHeaderTitle_sortInit;
				cs[1].alt=bundle.Common_SortHeaderTitle_sortInit;
			}
    	}
    }
}
/**
 * Update the image of the clicked column header when user clicks it
 *
 */
function updateClickedColumnHeaderImg(spanID) {
	var oNode = document.getElementById(spanID);
	var cs = oNode.childNodes;
	var initSrc = cs[1].src;
	if (initSrc.lastIndexOf("1x1.gif") > -1 || initSrc.lastIndexOf("sortbi.gif") > -1) {
		cs[1].src = document.global_context_path + "/images/sortbiup.gif";
		cs[1].title=bundle.Common_SortHeaderTitle_sortbiup;
		cs[1].alt=bundle.Common_SortHeaderTitle_sortbiup;
	} else if (initSrc.lastIndexOf("sortbiup.gif") > -1) {
		cs[1].src = document.global_context_path + "/images/sortbidown.gif";
		cs[1].title=bundle.Common_SortHeaderTitle_sortbidown;
		cs[1].alt=bundle.Common_SortHeaderTitle_sortbidown;
	} else if (initSrc.lastIndexOf("sortbidown.gif") > -1) {
		cs[1].src = document.global_context_path + "/images/sortbiup.gif";
		cs[1].title=bundle.Common_SortHeaderTitle_sortbiup;
		cs[1].alt=bundle.Common_SortHeaderTitle_sortbiup;
	}
}

function initAlertsTable() {
	var headerDiv = document.getElementById("table_header_div");
	if (headerDiv != null) {
		//update the header links
		for (var i = 0; i < headerSpanIDs.length; i++) {
			if(document.getElementById(headerSpanIDs[i]))
			{
				document.getElementById(headerSpanIDs[i]).href = "javascript:;";
			}
		}
		//Create the CommonSortObject object
		sorttable = new CommonSortObject(document.getElementById(sortTableID), alertsTableColumnTypes);
	}
}
