/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var navicontent = top.document.getElementById("navi-content");
var frameobj= top.document.getElementById("ISCNavigation");
var navBarDocument = frameobj.contentDocument ? frameobj.contentDocument : frameobj.contentWindow.document;
var navBarWindow= frameobj.contentWindow;
var IEBrowser = "true";
if(document.getElementById && !document.all){
	IEBrowser = "false";
}

function HideNavTree(isBidi) {
	var toggleImage = navBarDocument.getElementById("NavTreeToggleImage");
	var toggleLink = navBarDocument.getElementById("toggleLink");
	var navtree = navBarDocument.getElementById("NavTree");
	if (navtree == null) {
		setTimeout(new Function("HideNavTree('no')"), 1000);
		return;
	}
	navtree.style.visibility = "hidden";
	navtree.style.width="1";
	navtree.style.height="1";
	navtree.style.overflow="hidden";
	navicontent.cols="16,*";
	navBarDocument.body.scroll="no";
	if(isBidi == 'no') {
		toggleImage.src= '/ibm/console/images/isclite/navigation_open.gif';
		toggleLink.onclick =function() {ShowNavTree('no');return false;}
	}
	else{
		toggleImage.src= '/ibm/console/images/isclite/navigation_close.gif';
		toggleLink.onclick =function() {ShowNavTree('yes');return false;}
	}
	toggleImage.title ='Show Navigation';
	toggleImage.alt = 'Show Navigation';
	navicontent.cols="15,*";
	movetoggle(isBidi);
} 

function ShowNavTree(isBidi) {
	navicontent.cols="198,*";
	var toggleImage = navBarDocument.getElementById("NavTreeToggleImage");
	var toggleLink = navBarDocument.getElementById("toggleLink");
	var navtree = navBarDocument.getElementById("NavTree");
	if (navtree == null) {
		setTimeout(new Function("ShowNavTree('no')"), 1000);
		return;
	}
	navBarDocument.body.scroll="auto";
	navtree.style.visibility = "visible";
	navtree.style.width="95%";
	navtree.style.height="95%";
	navtree.style.overflow="visible";
	if(isBidi == 'no') {
		toggleLink.onclick =function() {HideNavTree('no');return false;}
		toggleImage.src='/ibm/console/images/isclite/navigation_close.gif';
	}
	else{
		toggleLink.onclick =function() {HideNavTree('yes');return false;}
		toggleImage.src='/ibm/console/images/isclite/navigation_open.gif';
	}
	toggleImage.title ='Hide Navigation';
	toggleImage.alt ='Hide Navigation';
	movetoggle(isBidi);
}
// move toggle when window is scrolled
function movetoggle(isBidi){
	var navtreetoggle = navBarDocument.getElementById("NavTreeToggleDiv");

	navtreetoggle.style.top = navBarDocument.body.scrollTop +(navBarDocument.body.clientHeight/2);

	if(isBidi == 'no') {
		if (navBarDocument.body.scrollHeight > navBarDocument.body.clientHeight ) {
			navtreetoggle.style.left = navBarDocument.body.scrollLeft +navBarWindow.frameElement.scrollWidth - 34;
		}
		else{
			navtreetoggle.style.left = navBarDocument.body.scrollLeft +navBarWindow.frameElement.scrollWidth -17;
		}
		setTimeout("movetoggle('no')",1500);
	}

	else{
	var navtTeeToggleRightPos =navBarWindow.frameElement.scrollWidth-document.body.scrollLeft ;

	if (IEBrowser=="true"){
		var onScrollPos = navBarDocument.body.scrollWidth-document.body.scrollLeft;
		navtTeeToggleRightPos = onScrollPos > navBarDocument.body.clientWidth ? onScrollPos : navBarDocument.body.clientWidth;
	
		if (navBarDocument.body.scrollHeight > navBarDocument.body.clientHeight)
		navtreetoggle.style.right = navtTeeToggleRightPos- 16;
	
		else navtreetoggle.style.right = navtTeeToggleRightPos- 9;
	}
	else {
		if (navBarDocument.body.scrollHeight > navBarDocument.body.clientHeight)
		navtreetoggle.style.right = navtTeeToggleRightPos- 30;
	
		else navtreetoggle.style.right = navtTeeToggleRightPos- 12;
		}
	}
}

if (navicontent.cols=="25%,*") {
	ShowNavTree("no");
}

