/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var selectedDevice;
var retryConnectionTitle = "";
var datetimeTitle = "";

function onLoad_ViewAllBladeCenter(){
	var treeTable = rbce.gui.domains.TreeTable.getInstance(); 	
	var menu = rbce.gui.domains.Menu.getInstance();		
	treeTable.addValueChangeListener(menu.getValueChangeListener());		
	disableButton('addAgentButton','true');	
	
	// Call the common function to send the ajax request
	commonPageLoad();
}

//Will disable a button that is submiting a form
function disableButton(thisObjID,thisObjValue){

    var thisObj = document.getElementById(namespace_g + 'myForm:'+thisObjID);
    
    if( thisObjValue == 'true'){
        thisObj.disabled = true;
    }else{
    	thisObj.disabled = false;
    }
    	
	return true;
}

function startWaitLocateDialog() {
	if( document.getElementById('locatedlg_waiting_table')){
	   document.getElementById('locatedlg_waiting_table').style.display = "block";
	}
}

var selectedGroupID = "";
function showRemoveText(){
	rowCount = 1;
	var ary = map[selectedGroupID];
	clearTable();

	ary = ary.sort(sortChassis);
	for(var i=0; i < ary.length; i++){		
	  	  var x=document.getElementById('removeTable').insertRow(rowCount++);
		  var y=x.insertCell(0);
		  y.innerHTML=ary[i].toString();			 
		  x.style.fontSize="xx-small";
	}
	
	document.getElementById(namespace_g + "myForm:removeConfirm_dialog_tb").lastChild.nodeValue = document.getElementById(namespace_g + "myForm:ConfirmationMessage").innerHTML;
}

function clearTable(){
	  var x=document.getElementById('removeTable');
	  for(var i=x.rows.length-1;i>0;i--){
	  	x.deleteRow(i);
	  }
}

function sortChassis(a, b){
	if(a.location == b.location){
		return compareType(a.type, b.type);
	}else{
		return a.location-b.location;
	}
}

function compareType(aType, bType){
	var sasType = document.getElementById(namespace_g + "myForm:ViewAllBladeCenter_SASModuleType").innerHTML;
	var ctrlType = document.getElementById(namespace_g + "myForm:ViewAllBladeCenter_RAIDControllerType").innerHTML;
	
	if(sasType == aType){
		if(sasType == bType){
			return 0;
		}else{
			return -1;
		}
	}else if(ctrlType == aType){
		if(sasType == bType){
			return 1;
		}else{
			return 0;
		}
	}
}

//will be used later
function setTitle(){  
   setUtilDialogTitle(selectedDevice);
}

function openRetryConnectionDialog(){
	if (document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value == "SASSwitch") {
		setFormTarget(580, 140);
	}else if(document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value == "StorageSystem"){
		setFormTarget(580, 185);
	}else{
		setFormTarget(580, 140);
	}
	setUtilDialogTitle(retryConnectionTitle);
}

function openDateAndTimeDialog(thisEvent){
	if('SASSwitch'==document.getElementById(namespace_g + 'myForm:hiddenbuttonpage:selectedType').value){
		setFormTarget(650,260);
		adjustIEFrame();
	}else if('StorageSystem'==document.getElementById(namespace_g + 'myForm:hiddenbuttonpage:selectedType').value){
		setFormTarget(650,150);
		adjustIEFrame();
	}else{
		setFormTarget(600,260);
		adjustIEFrame();
	}
	setUtilDialogTitle(datetimeTitle);
	return true;

}

function setLocateFormTarget(varwidth, varheight){
	document.getElementById(namespace_g + "myForm").target = "locate_frame";
	adjustLocateDialogSize(varwidth , varheight);
	if ("SASSwitch" == document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value) {
		setLocateUtilDialogTitle(document.getElementById(namespace_g + "myForm:LocateSASTitle").innerHTML);
	} else if ("StorageSystem" == document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value) {
		setLocateUtilDialogTitle(document.getElementById(namespace_g + "myForm:LocateRAIDTitle").innerHTML);
	}
}

function confirm_deleteChassis() {
	document.getElementById(namespace_g + "myForm:removeConfirm_dialog_showButton").disabled = true;
	document.getElementById(namespace_g + "myForm:removeConfirm_dialog_right").disabled = true;
	document.getElementById(namespace_g + "myForm:removeConfirm_dialog_left").click();
}

function clickRefreshButton(){
	disableButton("addAgentButton","true");
	document.getElementById(namespace_g + "myForm:loadStatus").value = "";
	var allMenus = getElementsByTagAndName("DIV", "menuDIV");
	var selectMenu = document.getElementById("defaultMenuDIV"); 

	for(x = 0; x < allMenus.length; x++){
		allMenus[x].style.display='none';
	}

	selectMenu.style.display='block';
	rbce.gui.domains.TreeTable.getInstance()._setSelectedSystemID("");
	innerMessagesInstance.clearAllInnerMessages();
	//Clear the data for generate remove chassis info.
	map = new Object();
}

function reloadChassis() {
	document.getElementById(namespace_g + "myForm:onloadBehaviorBtn").click();
}

function callAjaxChain() {
	var statusobj = document.getElementById(namespace_g + "myForm:loadStatus");
	var userAdmin = document.getElementById(namespace_g + "myForm:userAdminFlag").innerHTML;
    //alert("ajax Call:" + statusobj.value);
	//add
	if (parent){
		parent.resizeFrameHeight("dynamicFrame", "dynamicFrame");
	}
	
	if (statusobj.value != "LOAD_STATUS_COMPLETE") {

		setTimeout(reloadChassis , 1000);
	} else {
		// modify the last row style in tree table (no need to display the last row border)
		if( sasSwitchArray != null){
				var lastTable = document.getElementById(sasSwitchArray[sasSwitchArray.length - 1]);
				if( lastTable != null){
					lastTable.className = "";
				}
		}
			
		disableRefreshButton(false);
		setLastRefreshStamp();
		if(userAdmin == "true"){
			disableButton('addAgentButton','false');
		}else{
			disableButton('addAgentButton','true');
		}
		rbce.gui.domains.TreeTable.getInstance().clear();
		var allMenus = getElementsByTagAndName("DIV", "menuDIV");
		for(x = 0; x < allMenus.length; x++)
		{
			allMenus[x].style.display='none';
		}
		//setTimeout(delayDisplayNoChassisMenu, 50);
		document.getElementById("noChassisMenuDIV").style.display="block";
		setRadioStyle(false);
		beepWhenRefresh();
	}
	alignHeaderTableAndContentTable('headerTableDivId','allBladeBodyTable');
}

function setRadioStyle(ifEnable) {
	var tableobj = document.getElementById("dmc_domain_dataTable");
	var tbodyobj = tableobj.getElementsByTagName("tbody")[0];
	var allRadio = tbodyobj.getElementsByTagName("input");
	for (var i = 0;i < allRadio.length;i ++) {
		if (allRadio[i].type == "radio") {
			allRadio[i].disabled = ifEnable;
		}
	}
}

function clickNextCheckbox(theObj){
  var next = theObj.nextSibling;
  while(next){
  	if(next && next.tagName && next.tagName=="INPUT"){
  	  next.click();
  	  next.checked = true;
  	  next.value="true";
  	  return;
  	 }  
  	 next = next.nextSibling;
  }
}

function setValue(key,ip,location,type,name,bladeCenterName){
	key = key.substring(0,key.lastIndexOf("_"));

	if( map[key]==null){
		map[key] = new Array();
	}
	var ary = map[key];
	
	var existing = false;
	for (var i = 0 ; i < ary.length ; i++) {
		if(ary[i].ip == ip){
			existing = true;
			break;
		}
	}
	if(!existing && ip != "") {
		ary.push(new ValueObject(ip,location,type,name,bladeCenterName));
	}
}

function getElementsByTagAndName(tag,name){
	var elem = document.getElementsByTagName(tag);
	var arr = new Array();
	for( i = 0,iarr = 0; i < elem.length; i++){			
		 att = elem[i].getAttribute("name");
		 if( att == name){
		     arr[iarr++] = elem[i];
		 }
	}
	return arr;
}

//remove dialog
var map = new Object();
function ValueObject(ip,location,type,name,bladeCenterName){
	this.ip = ip;
	this.location = location;
	this.type = type;
	this.name = name;
	this.bladeCenterName = bladeCenterName;
	ValueObject.prototype.toString = function() {
		if(this.type == document.getElementById(namespace_g + "myForm:ViewAllBladeCenter_SASModuleType").innerHTML){
			return this.ip+" - " + "&nbsp;&nbsp;" + document.getElementById(namespace_g + "myForm:IOBay").innerHTML + "&nbsp;" + this.location +"&nbsp;"+ this.type + " (" + this.name + ")";
		}else{
			return this.ip+" - " + "&nbsp;&nbsp;" + document.getElementById(namespace_g + "myForm:IOBay").innerHTML + "&nbsp;" + this.location +"&nbsp;"+ this.type + this.name;
		}
	}
}

/*
 * the array is used to store the SAS Switch table id.
 */
var sasSwitchArray = new Array();
function changeTableStyle(tableID){
	if( sasSwitchArray == null){
		sasSwitchArray = new Array();
	}
	
	sasSwitchArray.push(tableID);
}

function clearLocateFrame() {
	var iframeObj;
	
	if (document.getElementById("locate_frame")) {
		iframeObj = document.getElementById("locate_frame");
	}

	iframeObj.src = "";	
	document.getElementById(namespace_g + "myForm").target="";
}

//high lighting row
function _selectRow(checkboxobj) {
	var td = checkboxobj.parentNode;
	var tr = td.parentNode;
	if (checkboxobj.checked) {
		tr.className = "rbceTableSelectedRow";
	} else {
		tr.className = "rbceTableUnselectedRow";
	}
}

function onDiscoverSubmit() {
	document.getElementById(namespace_g + "myForm:discover_okbtn").disabled = true;
	document.getElementById(namespace_g + "myForm:discover_cancelbtn").disabled = true;
	showProgressIndicator("discoverSpinDiv", null);
	
	document.getElementById(namespace_g + "myForm:hiddenDiscoverSubmitButton").click();
}

function reviseMenu(menuStatus) {

	var menuItem_physical = document.getElementById(namespace_g + 'myForm:menus:bladeCenterMenu:bcMenu_Physical');
	var menuItem_storage = document.getElementById(namespace_g + 'myForm:menus:bladeCenterMenu:bcMenu_Storage');
	var menuItem_zoning = document.getElementById(namespace_g + 'myForm:menus:bladeCenterMenu:bcMenu_Zoning');
	
	// Restore them visiable
	menuItem_physical.style.color  = "";
	menuItem_storage.style.color  = "";
	menuItem_zoning.style.color  = "";
	
	// Hidden the menu item by the menuStatus
	switch (menuStatus) {
		case '1': menuItem_zoning.style.color  = "#BBBBBB";break;// Only have dummy switch
		case '2': menuItem_storage.style.color  = "#BBBBBB"; break;// Only have dummy storage
		case '3': menuItem_physical.style.color  = "#BBBBBB"; 
					menuItem_storage.style.color = "#BBBBBB"; 
					menuItem_zoning.style.color  = "#BBBBBB"; break;// Have both dummy switch and storage
	}
}

var rbce={};
rbce.gui={};
rbce.gui.domains={};

//Define the Modal interface.
rbce.gui.domains.Modal = function(){

	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 

	//Define the abstract method.
	this.show = function(){}
}

//Defince the Model Class as super class 
rbce.gui.domains.ModelBean = function(){
	var identifier;
	var type;
	
	//for the id support
	this.setIdentifier = function(_id){
		this.identifier = _id;
	}
	
	this.setType = function(_type){
		this.type = _type;
	}
}

// Agent.js*********************************************************************** 
// Inherit from ModelBean class.
rbce.gui.domains.Agent = function(_id, _nickName, _ipAddress){
	
	var id,nickName,ipAddress;
	
	// *********************************************************************** 
	// Public Methods
	// *********************************************************************** 
	
	// page require properties
	this.setId = function(_id){
		this.id = _id;
	}
	this.setNickName = function(_nickName){
		this.nickName = _nickName
	}
	this.setIPAddress = function(_ipAddress){
		this.ipAddress = _ipAddress
	}
	

	// Inherit from ModelBean class
	this.setIdentifier(_id);
	this.setType('Agent');
	
	// the following method will be called when rbce.gui.domains.Agent is instanced
	this.setId(_id);
	this.setNickName(_nickName);
	this.setIPAddress(_ipAddress);	
}

rbce.gui.domains.Agent.prototype = new rbce.gui.domains.ModelBean();
// Agent.js End*********************************************************************** 	



// BladeCenter.js*********************************************************************** 
// Inherit from ModelBean class.
rbce.gui.domains.BladeCenter = function(_id,_domainIP,_menuStatus,_connected){
	var domainIP, menuStatus;
	this.connected = _connected;
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.setDomainIP = function(_domainIP){
		this.domainIP = _domainIP;
	}
	
	
	this.setIdentifier(_id);
	this.setType('BladeCenter');
    this.setDomainIP(_domainIP);
    this.menuStatus = _menuStatus;
    
}

rbce.gui.domains.BladeCenter.prototype = new rbce.gui.domains.ModelBean();
// BladeCenter.js End ***********************************************************************

		
// StorageSystem.js ************************************************************************* 
// Inherit from ModelBean class.
rbce.gui.domains.StorageSystem = function(_id,_nickName,_primaryIPAddress,_secondaryIPAddress,_connected){
	var nickName;
	var primaryIPAddress;
	var secondaryIPAddress;
	this.connected = _connected;
		
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.setPrimaryIPAddress = function(_primaryIPAddress){
		this.primaryIPAddress = _primaryIPAddress;
	}
	this.setSecondaryIPAddress = function(_secondaryIPAddress){
		this.secondaryIPAddress = _secondaryIPAddress;
	}
	this.setNickName = function(_nickName){
		this.nickName = _nickName;
	}	
	
	this.setIdentifier(_id);	
	this.setType('StorageSystem');
	this.setNickName(_nickName);
    this.setPrimaryIPAddress(_primaryIPAddress);
    this.setSecondaryIPAddress(_secondaryIPAddress);    
}

rbce.gui.domains.StorageSystem.prototype = new rbce.gui.domains.ModelBean();
// StorageSystem.js End ******************************************************************

		
// SASSwitch.js*********************************************************************** 
// Inherit from ModelBean class.
rbce.gui.domains.SASSwitch = function(_id,_nickName,_ipAddress,_sasAddress,_bayNumber,_connected){
	
	var nickName,ipAddress,sasAddress,bayNumber;
	this.connected = _connected;
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
 	
	this.setNickName = function(_nickName){
		this.nickName = _nickName;
	}	
	this.setIpAddress = function(_ipAddress){
		this.ipAddress = _ipAddress;
	}	
	this.setSasAddress = function(_sasAddress){
		this.sasAddress = _sasAddress;
	}		
	this.setBayNumber = function(_bayNumber){
		this.bayNumber = _bayNumber;
	}
	
	
	// Inherit from ModelBean class
	this.setIdentifier(_id);
	this.setType('SASSwitch');
	
	this.setNickName(_nickName);
	this.setIpAddress(_ipAddress);
	this.setSasAddress(_sasAddress);
	this.setBayNumber(_bayNumber);	
}

rbce.gui.domains.SASSwitch.prototype = new rbce.gui.domains.ModelBean();
// SASSwitch.js End *********************************************************************** 



// RAIDController.js*********************************************************************** 
// Inherit from ModelBean class.
rbce.gui.domains.RAIDController = function(_id,_nickName,_ipAddress,_sasAddress,_connected){
	
	var id,nickName,ipAddress,sasAddress;
	this.connected = _connected;
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.setNickName = function(_nickName){		
		this.nickName = _nickName;
	}	
	this.setIpAddress  = function(_ipAddress){
		this.ipAddress = _ipAddress;
	}	
	this.setSasAddress = function(_sasAddress){
		this.sasAddress = _sasAddress;
	}		

		
	this.setIdentifier(_id);
	this.setType('RAIDController');
	
	this.setNickName(_nickName);
	this.setIpAddress(_ipAddress);
	this.setSasAddress(_sasAddress);	
}

rbce.gui.domains.RAIDController.prototype = new rbce.gui.domains.ModelBean();
// RAIDController.js End ***********************************************************************

/*################################################################################
 * TreeTable.js
 */
rbce.gui.domains.TreeTable = function(){
	// ************************************************************************ 
	// Private Fields
	// *********************************************************************** 
	
	var selectedRowObject = null;
	var selectedRow = null;
	var selectedRowId = null;
 	var valueChangeListenerList = new Array();
 	var valueChangeListenerCount =0;
 	
 	var selectedCheckBoxID = null;
		
		
	// clear the cached object	
	this.clear = function(){
		selectedRowObject = null;
		selectedRow = null;
		selectedRowId = null;
 		selectedCheckBoxID = null;
	
	}	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 

	/*
	 * diplay/undisplay all braches of the treetable. 
	 * @param display display all if true, or undiplay all if false.
	 */
 	this.setAllDisplays = function(display){
		// NOTE: the prefix 'treetable_folder' is defined in the TreeTableController.
		var imgName ="treetable_folder_IMG";	
	
		var treetableFolderIMGs=getElementsByTagAndName("IMG",imgName);
		for(x = 0; x < treetableFolderIMGs.length; x++)
		{		
			if(true == display && treetableFolderIMGs[x].src.endWith('/expand_obj.gif'))
			{
				click(treetableFolderIMGs[x]);
			}
			else if(false == display && treetableFolderIMGs[x].src.endWith('/collapse_obj.gif'))
			{
				click(treetableFolderIMGs[x]);				
			}
		}
	 	
	 	if(display == false)
		{	
			allCollapsedFixSelected();			 
		} 	
	}
	
	this.addValueChangeListener = function(valueChangeListener){
 		valueChangeListenerList[valueChangeListenerCount++]=valueChangeListener;
 	}
 	
 	
 	this._clickRow = function(_object,_tableObj,_rowId , _event){
 		var srcobj = _event.srcElement ? _event.srcElement : _event.target;
 		if (srcobj.tagName != "INPUT") {
	 		var tbody = _tableObj.getElementsByTagName("TBODY");
			trs = tbody[0].getElementsByTagName("tr");
			tds = trs[0].cells[0];
			
			var chkboxobj = tds.firstChild;
			var radiocom = chkboxobj;
			while( radiocom){
			   if( radiocom.type && radiocom.type == "radio" && radiocom.disabled != true){
			   	   radiocom.click();
				   break;
			   }

				radiocom = radiocom.nextSibling;
			}
		}
		
	} 

	var selectedSystemID = "";
	
	this._getSelectedSystemID = function(){
		return selectedSystemID;
	}
	this._setSelectedSystemID = function(_systemID){
		selectedSystemID = _systemID;
	}	
	
			
	this._selectCheckBox = function(_object,_checkboxObject,_objectID,_event) {
		stopPropagation(_event);
	    selectedGroupID = _object.identifier;
	    if(_object.type != "BladeCenter"){
			selectedGroupID = selectedGroupID.substring(0,selectedGroupID.lastIndexOf("_"));
			
		} else {
			// revise the chassis menu
			reviseMenu(_object.menuStatus);
		}
		
		if(selectedSystemID!=""){
		    if(selectedSystemID==_checkboxObject.id){
		       return;
			}
	
		   document.getElementById(selectedSystemID).value="false";
		   document.getElementById(selectedSystemID).checked = false;
		}
		_checkboxObject.value="true";
		selectedSystemID = _checkboxObject.id;	

		if(selectedCheckBoxID != null){
	       if( _objectID == selectedCheckBoxID){	      
	           if(!_checkboxObject.checked){
	              fireValueChange(null);
	              
	              _selectRow(_checkboxObject);
	           }else{
	           	  fireValueChange(_object);
	           	  _selectRow(_checkboxObject);
	           }
	       	   
	           return;
	       }else{		                       
	           var previous_checkbox = document.getElementById(selectedCheckBoxID);	
	           var curr_checkbox = document.getElementById(_objectID);	
	           previous_checkbox.checked = false;
	           curr_checkbox.checked = true;
	           
	           _selectRow(previous_checkbox);
	           _selectRow(curr_checkbox);
	       }
	    }
		
		selectedRow = _objectID;
		selectedObject = _checkboxObject;
		selectedCheckBoxID = _objectID; 
		var title;
		
		if(_object.type == "StorageSystem"){
		   title = document.getElementById(namespace_g + "myForm:RAIDSubSystemTitle").innerHTML+" ("+_object.primaryIPAddress+", "+_object.secondaryIPAddress+")";   			
		   setSelectedCurrentDeviceName(title);   //+"("+_object.PrimaryIPAddress+","+_object.secondarySwitchName+")");		
		   document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value = "StorageSystem";		
		   
		   retryConnectionTitle = document.getElementById(namespace_g +"myForm:RetryConnectionTitle").innerHTML+document.getElementById(namespace_g +"myForm:raidSubsystem").innerHTML+" ("+_object.primaryIPAddress+", "+_object.secondaryIPAddress+")";   			
		   datetimeTitle = document.getElementById(namespace_g +"myForm:SetDateTimeTitle").innerHTML + document.getElementById(namespace_g +"myForm:raidSubsystem").innerHTML + " ("+_object.primaryIPAddress+", "+_object.secondaryIPAddress+")";
		}else if(_object.type == "SASSwitch") {
		   title = document.getElementById(namespace_g + "myForm:SwitchModuleTitle").innerHTML;
		   var IOBay = document.getElementById(namespace_g + "myForm:IOBay").innerHTML;
		   setSelectedCurrentDeviceName(title + " " + _object.ipAddress + " - " + IOBay + " " + _object.bayNumber+" ("+_object.nickName+")");
		   document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value = "SASSwitch";
		   
		   retryConnectionTitle = document.getElementById(namespace_g +"myForm:RetryConnectionTitle").innerHTML+_object.ipAddress + " - " + IOBay + " " + _object.bayNumber+" ("+_object.nickName+")";   			
		   datetimeTitle = document.getElementById(namespace_g + "myForm:SetDateTimeTitle").innerHTML + _object.ipAddress + " - " + IOBay + " " + _object.bayNumber+" ("+_object.nickName+")";
		}else if(_object.type == "BladeCenter"){
		   document.getElementById(namespace_g + "myForm:hiddenbuttonpage:selectedType").value = "BladeCenter";
		}
		
		_object.isNotConnected = !_object.connected;
		
		fireValueChange(_object);
		_selectRow(_checkboxObject);
	}
	
	/*
	 * Define the actions when the 'collapse' or 'expand' image is clicked
	 */
 	this._toggle = function(curRowId, childrenGroupId, image, event){
 		//value is not a standard attribute for <img>, so access its value in the way below
		var imageValue = image.attributes.value.value;
 		if(document.getElementById(childrenGroupId).style.display == "none")
		{
			document.getElementById(childrenGroupId).style.display = "block";
			image.alt = document.getElementById("view:myForm:collapse_alt").innerHTML + " " + imageValue;
			image.title = document.getElementById("view:myForm:collapse_alt").innerHTML + " " + imageValue;
			image.src = document.global_context_path + "/images/common/tree/collapse_obj.gif";
		}
		else
		{
			document.getElementById(childrenGroupId).style.display = "none";
			image.alt = document.getElementById("view:myForm:expand_alt").innerHTML + " " + imageValue;
			image.title = document.getElementById("view:myForm:expand_alt").innerHTML + " " + imageValue;
			image.src = document.global_context_path + "/images/common/tree/expand_obj.gif";
		
			// Unselecting the selected row, in case an ancestor is collapsed
			elementCollapsedFixSelected(curRowId);
		}
	
		// So that the row isnt selected by toggling
		stopPropagation(event);
 	}
	
	// ************************************************************************ 
	// Private Methods
	// *********************************************************************** 	
	function setSelectedIpAddress(_IpAddress){
		document.getElementById(namespace_g + 'myForm:selectedIPAddress').value=_IpAddress;		
	}
	
	function setSelectedCurrentDeviceName(_Name){
	    selectedDevice = _Name;
		document.getElementById(namespace_g + 'myForm:selectedCurrentDeviceName').value=_Name;
	}
	
	/*
	 */
 	function fireValueChange(value){
 		for (i = 0; i < valueChangeListenerCount; i++)
	   {
	   		valueChangeListenerList[i].valueChanged(value);
	   }
 	}
 	
 		/*
	 */
	function elementCollapsedFixSelected(collapsedId){
		// If nothing is selected, nothing needs to be fixed
		if(selectedRow == null)
			return;
		
		// Since the id of an element keeps its ancestor trace
		// We check if the selected row is a descendant of the collapsed row
		// by checking if the selected row id starts with the collapsed row id
		// We also make sure that the selected row wasnt collapsed
		
	
		if(selectedRow.indexOf(collapsedId) == 0 && selectedRow != collapsedId)
		{
			selectedRow = null;
			selectRowValues = null;
			selectedRowObject = null;
			fireValueChange(null);
			//changeMenuOptions("Default");
		}
	}
	
		/*
	 * Todo this method can be private
	 * Update selectd row when collapse the tree table.
	 * in this situation, the select row in the treetable will be changed without clicking. 
	 */
 	function allCollapsedFixSelected() {

	 	// If nothing is selected, nothing needs to be fixed
		if(selectedRow == null)
			return;
		
		
		// If a root node is selected, then we dont need to do anything
		// Root nodes will not have dashes in the id
		if(selectedRow.substr(14).indexOf("_") == -1)
		{  
			return;
		}
		else
		{  
			//alert("this.allCollapsedFixSelected");
			// Here we need to unselect
			//document.getElementById(selectedRow).className = "rbceTableUnselectedRow";
			selectedRow = null;
			selectRowValues = null;
			selectedObject.checked = false;
			fireValueChange(null);
			//changeMenuOptions("Default");
		}
 	}
		
	/*
	 */
	function stopPropagation(thisEvent){
		// For IE
		if(!thisEvent)
			thisEvent = window.event;
	
			
		thisEvent.cancelBubble = true;
			
		// For Mozilla
		if(thisEvent.stopPropagation)
			thisEvent.stopPropagation();
	}		
}

 // ************************************************************************ 
// Static Methods&Fields
// *********************************************************************** 
rbce.gui.domains.TreeTable._instance=null;

/*
 * singleton of treeTable
 */
rbce.gui.domains.TreeTable.getInstance = function(){
	if(rbce.gui.domains.TreeTable._instance == null){
		rbce.gui.domains.TreeTable._instance = new rbce.gui.domains.TreeTable();
	}
	
	return rbce.gui.domains.TreeTable._instance;
}
/*################################################################################*/

//Define the package

/*
 * define 
 * tag: the tag name of finding elments
 */
rbce.gui.domains.ValueChangeListener = function(){
	this.valueChanged= function(newValue){}		
}


//################################################################################
/**
 * Define the Menu class 
 */
rbce.gui.domains.Menu = function(){

	// ************************************************************************ 
	// Private Fields
	// *********************************************************************** 
	var curValue;
	var selMenuItem;

	rbce.gui.domains.MenuValueChangeListener = function() {
	this.valueChanged = function(value){
	
		if(value==null ){
			refreshMenu("NoChassis", null);
		}else{
			refreshMenu(value.type, value);
		}
		curValue = value;
	  }
	}
	rbce.gui.domains.MenuValueChangeListener.prototype = new rbce.gui.domains.ValueChangeListener();
	var menuValueChangeListener = new rbce.gui.domains.MenuValueChangeListener();
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.getValueChangeListener = function(){
		return menuValueChangeListener;
	}

	// ************************************************************************ 
	// Package Methods: should only be used in current module
	// *********************************************************************** 
	this._clickMenuItem = function(menuItem){
		selMenuItem = menuItem;		
		setSelectItemAndMenu(curValue,selMenuItem);
		
		if ( (curValue.type == "BladeCenter") && (curValue.menuStatus > 0))  {
			switch (curValue.menuStatus) {
			case '1': if (selMenuItem=="ViewAllBladeCenter_StorageZoning") selMenuItem = "";break;
			case '2': if (selMenuItem=="ViewAllBladeCenter_Storage") selMenuItem = "";break;
			case '3': if (selMenuItem=="BladeCenterAction_PhysicalView" 
				|| selMenuItem=="ViewAllBladeCenter_Storage" 
				|| selMenuItem=="ViewAllBladeCenter_StorageZoning") selMenuItem =""; break;
			}
		}
		//For SASSwitch and StorageSystem, when isNotConnected, disablle other menu items, otherwise disable RetryConncection item.
		else if(curValue.type == "SASSwitch" || curValue.type == "StorageSystem") {
			if(curValue.isNotConnected){
				selMenuItem = (selMenuItem != "ViewAllBladeCenter_RetryConnection")?"":selMenuItem;
			}else{
				selMenuItem = (selMenuItem == "ViewAllBladeCenter_RetryConnection")?"":selMenuItem;
			}
		}

		switch(selMenuItem)
		{																
  			case "ViewAllBladeCenter_Storage" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_Storage").click();break;
			case "ViewAllBladeCenter_StorageZoning" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_StorageZoning").click();break;								
			case "ViewAllBladeCenter_SetDateAndTime" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_SetDateAndTime").click();break;			
			case "ViewAllBladeCenter_DeviceLog" :	document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_DeviceLog").click();break;				
			case "ViewAllBladeCenter_AuditLog" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_AuditLog").click();break;			
			case "ViewAllBladeCenter_ActiveAlerts" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_ActiveAlerts").click();break;		               		
			case "ViewAllBladeCenter_LocateHardware" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_LocateHardware").click();break;		               		            
			case "ViewAllBladeCenter_CollectSupportData" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_CollectSupportData").click();break;	
			case "ViewAllBladeCenter_UpdateFirmware" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_UpdateFirmware").click();break;
			case "ViewAllBladeCenter_ShutdownAndRecover" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_ShutdownAndRecover").click();break;        
			case "ViewAllBladeCenter_Users" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_Users").click();break;					
  			 			
			case "BladeCenterAction_PhysicalView" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:BladeCenterAction_PhysicalView").click();break;											        
									
			case "StorageSystemAction_Properties" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:StorageSystemAction_Properties").click();break;	       		
					
			case "SASSwitchAction_PhysicalView" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_PhysicalView").click();break;			        
			case "SASSwitchAction_Properties" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_Properties").click();break;	       					
			case "SASSwitchAction_Configuration_SwitchPorts" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_Configuration_SwitchPorts").click();break;	               	               		            
			case "SASSwitchAction_Configuration_SwitchZoning" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_Configuration_SwitchZoning").click();break;	               	               		            
			case "SASSwitchAction_Service_ErrorCounters" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_Service_ErrorCounters").click();break;
			case "ViewAllBladeCenter_ErrorCounters" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:SASSwitchAction_Service_ErrorCounters").click();break;
			
			case "RAIDControllerAction_PhysicalView" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:RAIDControllerAction_PhysicalView").click();break;               			        
			case "RAIDControllerAction_Properties" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:RAIDControllerAction_Properties").click();break;	       		 	
			case "BladeCenterAction_Remove" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:BladeCenterAction_Remove").click();break;
					
			case "ViewAllBladeCenter_RetryConnection" : document.getElementById(namespace_g + "myForm:hiddenbuttonpage:ViewAllBladeCenter_RetryConnection").click();break;
	              
		 	//default : submitForm();break;
		}
	}

	// ************************************************************************ 
	// Private Methods
	// *********************************************************************** 
	function refreshMenu(type, obj){
		var allMenus = getElementsByTagAndName("DIV", "menuDIV");
		var selectMenu;
		  
		switch(type)
		{
			case "Agent" : selectMenu = document.getElementById("AgentMenuDIV");  break;
			case "BladeCenter" : selectMenu = document.getElementById("BladeCenterMenuDIV");  break;
			case "StorageSystem" : selectMenu = document.getElementById("StorageSystemMenuDIV");  break; 
			case "SASSwitch" : selectMenu = document.getElementById("SASSwitchMenuDIV"); break;
			case "RAIDController" :	selectMenu = document.getElementById("RAIDControllerMenuDIV"); break;		
			case "Default" : selectMenu = document.getElementById("defaultMenuDIV");  break;
			case "NoChassis" : selectMenu = document.getElementById("noChassisMenuDIV");  break;
		}
		
		for(x = 0; x < allMenus.length; x++)
		{
			allMenus[x].style.display = 'none';
		}
		
		selectMenu.style.display = 'block';
		
		//gray out the menu items according to the isNotConnected flag
		if("SASSwitch" == type){
			grayoutSwitchMenu(obj.isNotConnected);
		}else if("StorageSystem" == type){
			grayoutStorageSystemMenu(obj.isNotConnected);
		}
	}
	
	function grayoutSwitchMenu(isNotConnected){
		if (isNotConnected) {
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:siwtchPhyLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchPropLink').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:cfgGridText').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:serviceA100').style.color = "#BBBBBB";
			
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:zoneingLink200').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchPortId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchDateTimeLinkid').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchAuditLogLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchLocatingHdwLinkid').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:sasfirmwareLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:deviceLogLink').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:errocounterLink').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchUsersLinkId').style.color = "#BBBBBB";
			
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchRetryConnectionLinkId').style.color = "#000000";
		}else{
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:siwtchPhyLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchPropLink').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:cfgGridText').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:serviceA100').style.color = "#000000";
			
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:zoneingLink200').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchPortId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchDateTimeLinkid').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchAuditLogLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchLocatingHdwLinkid').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:sasfirmwareLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:deviceLogLink').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:errocounterLink').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchUsersLinkId').style.color = "#000000";
			
			document.getElementById(namespace_g + 'myForm:menus:sasSwitchMenu:switchRetryConnectionLinkId').style.color = "#BBBBBB";
		}
	}

	function grayoutStorageSystemMenu(isNotConnected){
		if (isNotConnected) {
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:phyViewLinkId1').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storeagePropTextLink1').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:cfgTextid100').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:serviceTextId333').style.color = "#BBBBBB";
			
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:ellpses1002').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:dateTimeLinkId2').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:alertLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:auditLogLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:locatingHwId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:firmwareLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storageDeviceLogLink').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:shutdownLinkId').style.color = "#BBBBBB";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:usersLinkId').style.color = "#BBBBBB";
			
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storageRetryConnectionLinkId').style.color = "#000000";
		}else{
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:phyViewLinkId1').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storeagePropTextLink1').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:cfgTextid100').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:serviceTextId333').style.color = "#000000";
			
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:ellpses1002').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:dateTimeLinkId2').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:alertLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:auditLogLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:locatingHwId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:firmwareLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storageDeviceLogLink').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:shutdownLinkId').style.color = "#000000";
			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:usersLinkId').style.color = "#000000";

			document.getElementById(namespace_g + 'myForm:menus:storageSystemMenu:storageRetryConnectionLinkId').style.color = "#BBBBBB";
		}
	}
	function submitForm(){
		document.getElementById(namespace_g + "myForm").submit();
	}
	
	function setSelectItemAndMenu(curValue,selMenuItem)
	{  
		if (curValue.type=='BCE') {
			itemValue = curValue.domainIP; 
			
		}
		else { 
			itemValue = curValue.ipAddress;
			
		}
		
		document.getElementById(namespace_g + "myForm:menus:selectItemType").value=curValue.type;		
		document.getElementById(namespace_g + "myForm:menus:selectObject").value=itemValue;
		document.getElementById(namespace_g + "myForm:menus:selectMenuItem").value=selMenuItem;
	}
}

// ************************************************************************ 
// Static Methods&Fields
// *********************************************************************** 
rbce.gui.domains.Menu._instance=null;

/*
 * singleton of Menu
 */
rbce.gui.domains.Menu.getInstance = function(){
	if(rbce.gui.domains.Menu._instance == null){
		rbce.gui.domains.Menu._instance = new rbce.gui.domains.Menu();
	}
	
	return rbce.gui.domains.Menu._instance;
}
//################################################################################
