/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// RestoreConfigurationStep1.js

// Enable or disable the Next button depending on the file input value
function updateNext()
{
	var uploadFrame = getFrameDocument("uploadFileFrame");
	if (uploadFrame.getElementById("view:restoreUploadForm:fileUpload").value.length == 0)
	//if(document.getElementById(namespace_g+"restoreForm:fileUpload").value.length == 0)
	{
		document.getElementById(namespace_g+"restoreForm:nextButton").disabled = true;
	}
	else
	{
		document.getElementById(namespace_g+"restoreForm:nextButton").disabled = false;
	}
	
	// Set the path value on the hidden element
	//document.getElementById("filePath").value = uploadFrame.getElementById("view:restoreUploadForm:fileUpload").value;
}

function uploadFileAndClickNext()
{	
	var uploadFrame = getFrameDocument("uploadFileFrame");
	document.getElementById("filePath").value = uploadFrame.getElementById("view:restoreUploadForm:fileUpload").value;
	//document.getElementById("uploadFileFrame").contentWindow.document.getElementById("view:restoreUploadForm:uploadButton").click();
	setTimeout("uploadFile()",1);
	setTimeout("clickNextButton()", 1000);
	return false;
}


function getFrameDocument(frameName) {	
	if (frameName == null || frameName == "") {
		return window.document;
	} else {
		return window.frames[frameName].document;
	}
}

function lazyUpdateNext() {
	setTimeout("updateNext()", 10);
}

function uploadFile() {
	var uploadFrame = getFrameDocument("uploadFileFrame");
	uploadFrame.getElementById("view:restoreUploadForm:uploadButton").click();
	return false;
}

function clickNextButton() {
	var uploadFrame = getFrameDocument("uploadFileFrame");
	var uploadstate = uploadFrame.getElementById("view:restoreUploadForm:uploadOK").value;
	if (uploadstate == "ok"){
		document.getElementById(namespace_g + "restoreForm:hiddenNextButton").click();
		return true;
	}else{
		setTimeout("clickNextButton()", 1000);
	}	
	
}
