/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// RestoreOneConfiguration.js

function updateFinish()
{
	// Enable the button iff both radio buttons have been selected
	if(atLeastOneChecked("switchIndex") && atLeastOneChecked("restoredIndex"))
	{
		document.getElementById(namespace_g+"form1:finishButton").disabled = false;
	}
	else
	{
		document.getElementById(namespace_g+"form1:finishButton").disabled = true;
	}
}

function atLeastOneChecked(elementName)
{
	elements = document.getElementsByName(elementName);
	
	for(x = 0; x < elements.length; x++)
	{	
		if(elements[x].checked)
		{
			return true;
		}
	}
	
	return false;
}
