/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// common.js

function resizeFrameHeight(frameID, frameName)
{
	frameObject = document.getElementById(frameID);
	
	// Reset it to a small value so that the height is always increased
	frameObject.style.height = 10;
	
	frameDocument = window.frames[frameName].document;
	
	frameBody = frameDocument.body;

	//  Height
	oHeight = 0;
	sHeight = 0;
	
	if(frameBody.offsetHeight)
		oHeight = frameBody.offsetHeight;
	
	if(frameBody.scrollHeight)
		sHeight = frameBody.scrollHeight;
		
	// Set the height to the bigger one
	newHeight = Math.max(oHeight, sHeight);
	
	frameObject.style.height = newHeight;
}

function resizeFrameWidth(frameID, frameName)
{
	frameObject = document.getElementById(frameID);
	
	// Reset it to a small value so that the width is always increased
	frameObject.style.width = 10;
	
	frameDocument = window.frames[frameName].document;
	
	frameBody = frameDocument.body;

	//  Width
	oWidth = 0;
	sWidth = 0;
	
	if(frameBody.offsetWidth)
		oWidth = frameBody.offsetWidth;
	
	if(frameBody.scrollWidth)
		sWidth = frameBody.scrollWidth;
		
	// Set the width to the bigger one
	newWidth = Math.max(oWidth, sWidth);
	
	frameObject.style.width = newWidth;
}
