/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
function onLoad_DiskCopyBack(){
	parent.stopWait("util_dialog");	
	commonPageLoad();
	enableButtons(false);
}

function CopyBackPageAjaxComplete(){
	innerMessagesInstance.display();
	enableButtons(false);
	displayMainContents(true);
	beepWhenRefresh();
}
function highlightStartRow(tableId)
{
	var elmt = document.getElementById(tableId);
	if(elmt==null)
		return;
	var tbody = elmt.getElementsByTagName("tbody");
	if(tbody==null || tbody.length==0)
		return;
	trs = tbody[0].getElementsByTagName("tr");
	for(var i=0;i<trs.length;i++){
	   var node = trs[i];
	  while(node){
		 node = node.childNodes[0];	
		 if(node.tagName)
		    if(node.tagName=="INPUT")
		    	break;
	  }
	  if(node.tagName=="INPUT" && node.checked){
			trs[i].className="dmc_rowHightLightClass";
			trs[i].vAlign="top";
		}
	  else{
		  if(i%2==0)
		    trs[i].className="dmc_rowClass1";
		   else
		    trs[i].className="dmc_rowClass2";    
		}
	}
}

function LazyPollingProgress(){
	document.getElementById(namespace_g + "myForm:submitAction").value = "COPY_BACK_POLLING";
	setTimeout(sendAjaxCopyBack,1000);
}

function CopyBackSubmitionAjaxComplete(){
	var finished = document.getElementById(namespace_g + "myForm:finishFlag");
	var onError = document.getElementById(namespace_g + "myForm:errorOccured");
	if("true"==onError.innerHTML){
		innerMessagesInstance.display();
		enableButtons(true);
		switchMainContent(true);
	}else if("true"==finished.innerHTML){
		parent.closeUtilDialog();
		refreshParentPage();
	}else{
		LazyPollingProgress();
	}
}

function refreshParentPage(){
	if(parent.PHYSICAL_RESOURCES_PAGE){
		parent.refresh();
	}else{
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_POOL+parent.REFRESH_MASK_DISK);	
	}
}

function enableDisksButtons(flag){
	enableButtons(flag);
}
function enableButtons(flag){
	if(flag){
		document.getElementById(namespace_g + "myForm:submitBtn").disabled = false;
	}else{
		document.getElementById(namespace_g + "myForm:submitBtn").disabled = true;
	}
		document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;	
}

function diskRadioOnClicked(theObj){
	theObj.nextSibling.click();
}
var selectedDiskID = "";
function diskOnClicked(theObj){
	if(selectedDiskID!=""){
	   document.getElementById(selectedDiskID).value="false";
	}
	theObj.value="true";
	selectedDiskID = theObj.id;
	theObj.checked=true;
	enableButtons(true);
	highlightStartRow(namespace_g + "myForm:disksTable");
}

function switchMainContent(flag){
	if(flag){
		document.getElementById("main_progress_div").style.display = "none";
		document.getElementById("main_CopyBack_tab").style.display = "";
	}else{
		document.getElementById("main_progress_div").style.display = "";
		document.getElementById("main_CopyBack_tab").style.display = "none";	
	}
}

function DiskCopyBackStart(){
}

function doCopyBack(){
    switchMainContent(false);
	enableButtons(false);
	sendAjaxCopyBack();
}
function sendAjaxCopyBack(){
	document.getElementById(namespace_g + "myForm:sendAjaxBtn").click();
}
