/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var defaultHostOptions = new Array();
var selectOneHostOptions = new Array();
var selectMutipleHostsOptions = new Array();

 function emulate(menuName) {
	 var e = document.getElementById(menuName);
	 e.className="dmc_outputText";
	 
     for (var i=0, option; option = e.options[i]; i++) {  
         if (!option.key) {  
             option.style.color = "menutext";  
             option.setAttribute("aria-disabled","false");  
         }  
         else {  
             option.style.color = "graytext";  
             option.setAttribute("aria-disabled","true");  
         }
     }
 }

function isSelectOptionDisabled(e) {
     if (e.options[e.selectedIndex].key) {  		
		e.selectedIndex = 0;
		return true;
	 }
	 return false;
 } 


function setMenuValues(){
	var menu0 = document.getElementById(namespace_g + "myForm:menu_0").innerHTML;
	var menu1 = document.getElementById(namespace_g + "myForm:menu_1").innerHTML;
	var menu2 = document.getElementById(namespace_g + "myForm:menu_2").innerHTML;
	var menu3 = document.getElementById(namespace_g + "myForm:menu_3").innerHTML;
	var menu4 = document.getElementById(namespace_g + "myForm:menu_4").innerHTML;
	var menu5 = document.getElementById(namespace_g + "myForm:menu_5").innerHTML;
	var menu6 = document.getElementById(namespace_g + "myForm:menu_6").innerHTML;

selectOneHostOptions[0] = new Option(menu0,'');
selectOneHostOptions[1] = new Option(menu1,'HostProperties');
selectOneHostOptions[2] = new Option(menu2,'hostUnmappVolume');
selectOneHostOptions[3] = new Option(menu3,'DiscoverNewHosts');
selectOneHostOptions[4] = new Option(menu4,'CreateHosts');
selectOneHostOptions[5] = new Option(menu5,'EditHostName');
selectOneHostOptions[6] = new Option(menu6,'DeleteHosts');
 	var menu = document.getElementById("hostsAction");
		for(var i=0;i<selectOneHostOptions.length;i++){
		  	menu.options[i]=selectOneHostOptions[i];
		  	if(i==0 || i==3 || i==4)
		  	   menu.options[i].key = false;
		  	  else
		  	   menu.options[i].key = true;
		}
}
var selectedHostNumber = 0;

function changeMenu(thisObj){
	if(thisObj && thisObj.checked){
		selectedHostNumber++;
	}else if(thisObj){
		selectedHostNumber--;	
	}
	var mapVolumesBtn = document.getElementById(namespace_g + "myForm:mapVolumesBtn");
 	var menu = document.getElementById("hostsAction");
	for(var i=menu.options.length-1;i>=0;i--){
		menu.options[i]=null; 	
	}
	if(selectedHostNumber==0){
		for(var i=0;i<selectOneHostOptions.length;i++){
		  	menu.options[i]=selectOneHostOptions[i];
		  	if(i==0 || i==3 || i==4)
		  	   menu.options[i].key = false;
		  	  else
		  	   menu.options[i].key = true;
		}
		mapVolumesBtn.disabled = false;
	}
	if(selectedHostNumber==1){
		for(var i=0;i<selectOneHostOptions.length;i++){
		  	menu.options[i]=selectOneHostOptions[i];
		    menu.options[i].key = false;
		}
		mapVolumesBtn.disabled = false;
	}
	if(selectedHostNumber>1){
		for(var i=0;i<selectOneHostOptions.length;i++){
		  	menu.options[i]=selectOneHostOptions[i];
		  	if(i==0 || i==3 || i==4 || i==6)
		  	   menu.options[i].key = false;
		  	  else
		  	   menu.options[i].key = true;
		}
		mapVolumesBtn.disabled = true;
	}
	emulate("hostsAction");
}
function initMenu(){
 var menu = document.getElementById("hostsAction");
	selectedHostNumber = 0;
	 for(var i=menu.options.length-1;i>=0;i--){
	   menu.options[i]=null; 	
	 }
	setMenuValues();
	changeMenu();
}


function enableHostsButtons(flag){
	if(flag){	
		document.getElementById(namespace_g + "myForm:mapVolumesBtn").disabled = false;
		document.getElementById("hostsAction").disabled = false;
	}else{
		document.getElementById(namespace_g + "myForm:mapVolumesBtn").disabled = true;
		document.getElementById("hostsAction").disabled = true;
	}
	if(document.getElementById("noHostFound")){
		document.getElementById(namespace_g + "myForm:mapVolumesBtn").disabled = true;
	}
}

var PORTS_NUM = 2;
var selectedHostArray = new Array();
var selectedHostNameArray = new Array();
function highLightingHosts(theObj,groupid,hostName){
	syncCheckbox(false, "rowLinkHidden");
	changeMenu(theObj);
	var rowClass = "dmc_rowClass1";
	if(theObj.checked){
	  	rowClass ="dmc_rowHightLightClass";
	  	selectedHostArray.push(groupid);
	  	selectedHostNameArray.push(hostName);
	}else{
	  	removeGroupId(groupid);
	  	removeHostName(hostName);
	}
	
	var stable = document.getElementById(groupid);
	stable.rows[1].className = rowClass;
  	for(var j=0;j<PORTS_NUM;j++){
  		var pt = document.getElementById(groupid+"_"+j);
  		if(pt){
			pt.rows[1].className=rowClass;
  	 	}
  	}
}

function removeGroupId(groupid){
	for(var i=0;i<selectedHostArray.length;i++){
		if(selectedHostArray[i]==groupid){
			selectedHostArray.splice(i,1);
			break;
		}
	}
}
function removeHostName(hostName){
	for(var i=0;i<selectedHostNameArray.length;i++){
		if(selectedHostNameArray[i]==hostName){
			selectedHostNameArray.splice(i,1);
			break;
		}
	}
}

function HostRow(name,gb,volumes,type){
	this.name = name
	this.gb = gb;
	this.volumes = volumes;
	this.type = type;
}

var map = new Object();
function hostsSubmitAction(thisObj){
	syncCheckbox(false, "rowLinkHidden");
	document.getElementById(namespace_g + "myForm:link_column_name_hidden").value = "";
	if(isSelectOptionDisabled(thisObj))
		return;
	var action = thisObj.options[thisObj.options.selectedIndex].value;
	thisObj.value="";
	if(action=="DiscoverNewHosts"){
		document.getElementById(namespace_g + 'myForm:discoverNewHost').click();
		parent.setStorageUtilTitle('discoverNewHostsTitle');
	}
	else if(action=="DeleteHosts"){
		document.getElementById(namespace_g + 'myForm:deleteDialogPopuper').click();
	}
	else if(action=="CreateHosts"){
		document.getElementById(namespace_g + 'myForm:createNewHost').click();
		parent.setStorageUtilTitle('createHostTitle');
	}
	else if(action=="EditHostName"){
		document.getElementById(namespace_g + 'myForm:EditHostName').click();
		parent.setStorageUtilTitle('EditHostNameTitle');
	}
	else if(action=="HostProperties"){
		document.getElementById(namespace_g + 'myForm:hostProperties').click();
		parent.setStorageUtilTitle('hostPropertiesTitle');
	}
	else if(action=="hostUnmappVolume"){
		document.getElementById(namespace_g + 'myForm:hostVolumeTab').click();
		parent.setStorageUtilTitle('hostPropertiesTitle');
	}
	
}

function hostDiscoverTextHrefClick() {
	document.getElementById(namespace_g + 'myForm:discoverNewHost').click();
	parent.setStorageUtilTitle('discoverNewHostsTitle');
}

function hostsDeleteAction(){
		document.getElementById(namespace_g + 'myForm:confirm_dialog_left').disabled = true;
		document.getElementById(namespace_g + 'myForm:confirm_dialog_right').disabled = true;
//		document.getElementById(namespace_g + 'myForm:deletePools').click();
}
function onHostsDeleted(){
	document.getElementById(namespace_g + 'myForm:confirmHiddenBtn').click();
	parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);
	enableAllStorageTabs();
}

function setValue(key,name,gb,volumes,type){
	if(map[key]==null){
		map[key] = new Array();
	}
	var ary = map[key];
	ary.push(new HostRow(name,gb,volumes,type));
}

var rowCount = 0;
function initHostTable(){
	rowCount = 0;
	var count = 0;
	clearTable();
	var name = "";
    for(var i=0;i<selectedHostArray.length;i++){
    	var ary = map[selectedHostArray[i]];
    	if(ary==null)
    	   continue;
        for(var j=0;j<ary.length;j++){
		  var tableObj =document.getElementById('deleteHostTable');
		  var x = tableObj.getElementsByTagName("tbody")[0].insertRow(rowCount++);
	      x.align="left";
		  var y=x.insertCell(0);
		  var z=x.insertCell(1);
		  var k=x.insertCell(2);
		  y.innerHTML=ary[j].name;
		  z.innerHTML=ary[j].gb;
		  k.innerHTML=ary[j].volumes;
		  y.className="dmc_outputText";
		  z.className="dmc_outputText";
		  k.className="dmc_outputText";
		  x.className=(rowCount%2==0)?"dmc_rowClass1":"dmc_rowClass1";
		  x.borderSpacing="0";
		  
		  if (ary[j].type == "0") {
		  	name += ","+ary[j].name;
		  }
		}
    }
  	name = name.substring(1);
  	document.getElementById("delete_HostName").innerHTML = name;
  	// enable the button
	document.getElementById(namespace_g + 'myForm:confirm_dialog_left').disabled = false;
	document.getElementById(namespace_g + 'myForm:confirm_dialog_right').disabled = false;
	hideProgressIndicator('spinningDiv');  	
	alignHeaderTableAndContentTable('delHostsHeaderTableDivId','deleteHostTable');
	
}

function onHostTableRefreshingStart(){
	var errSpan=document.getElementById('view:myForm:deletePanel');
	if(errSpan!=null){
	      errSpan.innerHTML="";
	}
	document.forms[namespace_g + "myForm"].target="_self";
	selectedHostArray.length = 0;
	selectedHostNameArray.length = 0;
}
function clearTable(){
  var x=document.getElementById('deleteHostTable');
  var tbodyObj = x.getElementsByTagName("tbody")[0]
  for(var i=tbodyObj.rows.length-1;i>=0;i--){
  	tbodyObj.deleteRow(i);
  }
}

function resetDeleteDialogSize(height){
	document.getElementById("confirm_dialog").style.height = height;		
	return true;
}

function onLoad_HostsTab(){
	disableRefreshButton (true); // Disable the refresh button before common page load. 
	initErrorMessage(); // Initialise the error message for the page.
	if(hX_5.brw.isIE()){ // IE
		parent.loadFrame("hostIframe"); 
	} else { // FF
		hX_5.addBehavior("#body", "onload", new hX_5.JSFBehaviorGeneric("action:get;", "target:" + namespace_g + "myForm:ajaxpanel")); 
	}
}

function updateHostsPiePercentage(){
	var hostTotal = document.getElementById(namespace_g + "myForm:hostTotal").innerHTML;
	var subSystemTotal = document.getElementById(namespace_g + "myForm:subSystemTotal").innerHTML;
	
	var allSystemPieDiv = document.getElementById("storagePie");
	
	var allPercentage = 0;
	if(subSystemTotal==0 || hostTotal==0){
		allPercentage = 0;
	}else{
		var percent = (hostTotal*20)/subSystemTotal;
		if(percent<1) allPercentage=-86;
		else{
			percent = Math.round(percent);
			allPercentage = 86*(percent+1);
			allPercentage=-allPercentage-1;
		}
	}	
	allSystemPieDiv.style.backgroundPosition=allPercentage;
}

function onLoad_HostsProperties(){
	// Call the common function to send the ajax request
	commonPageLoad();
	parent.stopWait("util_dialog");

	//defect 184025 gavin

	//innerMessagesInstance.display();
	//beepWhenRefresh();
	alignHeaderTableAndContentTable('headerTableDivId','storageHostVolumeTable');
	
	var f = new add_Tabs_iframe_src(window,{"generalTab_iframe":"/faces/page/rbce/storage/HostsPropertiesGeneralTab.jsp",
		"hostPortTab_iframe":"/faces/page/rbce/storage/HostsPropertiesHostPortTab.jsp",
		"hostVolumeTab_iframe":"/faces/page/rbce/storage/HostsPropertiesHostVolumeTab.jsp"});
	f();
}

var DEFINED_HOSTPORT_NUMBER_AT_MOST = 4;

var wwwnRegexp = new RegExp("[0-9a-fA-F]{16}");

function hostPropertiesLoaded(){
	updateHostsPiePercentage();
}
function hostPropertiesClosed(){
	var isHostUpdated = document.getElementById(namespace_g + "myForm:isHostUpdates").innerHTML;
	if(isHostUpdated=="true"){
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);			
	}
}
var selectedVoluems = 0;
var selectedVolumes = new Object();
function hostRelatedVolumeChecked(theObj,volumeName){
	if(theObj.checked){
		selectedVoluems++;
		selectedVolumes[volumeName] = volumeName;
	 }else{
		 selectedVoluems-- ;
		selectedVolumes[volumeName] = null;
	 }
	 if(selectedVoluems>0){
	 	document.getElementById(namespace_g + "myForm:unmapVolumes").disabled = false;
	 }else{
	 	document.getElementById(namespace_g + "myForm:unmapVolumes").disabled = true;	 
	 }
}
function unVolumes(){
		//document.getElementById("waiting_unmapVolume_div").style.visibility= "visible";
		
		document.getElementById(namespace_g + 'myForm:confirm_dialog_left').disabled = true;
		document.getElementById(namespace_g + 'myForm:confirm_dialog_right').disabled = true;
		document.getElementById(namespace_g + 'myForm:unmapvolumeOk').click();
}
function popVoumes(){
	var spanObj = document.getElementById(namespace_g + "myForm:volumeList");
	var tmp = "";
	for(key in selectedVolumes){
		if(selectedVolumes[key]!=null)
			tmp+=key+"<BR/>";
	}
	spanObj.innerHTML=tmp;
}

function onLoad_EditHostName(){
	parent.stopWait("util_dialog");
	//set current selected host's name as the input field value.
	document.getElementById(namespace_g + "myForm:hostName").value = document.getElementById(namespace_g + "myForm:selectedHostName").innerHTML;
	
	//disable the ports' wwwns, Coz they are not need to be submitted
	document.getElementById(namespace_g + "myForm:portwwn1").readOnly = true;
	document.getElementById(namespace_g + "myForm:portwwn2").readOnly = true;
	
	
	// initial error message	
	innerMessagesInstance.init();
}

// for host creation

function onLoad_CreateHost(){
	parent.stopWait("util_dialog");
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	var hostNum = 0;
	if(null!=allHostNames){
		allHostNames = trim(allHostNames,",");
		var hostNameArray = allHostNames.split(",");
		hostNum = hostNameArray.length;
	}
	if (hostNum >= MAX_HOSTS_NUM) {
		var parentTableObj = document.getElementById("inner_message_div").parentNode;
		while(parentTableObj.tagName.toLowerCase() != "table"){
			parentTableObj = parentTableObj.parentNode;
		}
		parentTableObj.style.height="100%";
		document.getElementById("inner_message_div").style.display = "";
		document.getElementById('request_div').style.display = "none";
		document.getElementById(namespace_g + "myForm:button_submit").disabled = true;
		document.getElementById(namespace_g + "myForm:cancel_button").disabled = false;
		return;
	}else{
		document.getElementById("inner_message_div").style.display = "none";
		document.getElementById('request_div').style.display = "";
		document.getElementById(namespace_g + "myForm:button_submit").disabled = false;
		document.getElementById(namespace_g + "myForm:cancel_button").disabled = false;
	}
	for(var i=0;i<createHostFields.length;i++){
		document.getElementById(namespace_g + "myForm:"+createHostFields[i]).value="";
	}
	// initial error message	
	innerMessagesInstance.init();
}
var createHostFields = new Array("hostName","portwwn1","portwwn2");
function onCreateFinished(theObj){
	try {
 		var validatePass = document.getElementById(namespace_g + "myForm:validatePass").innerHTML;
	} catch(e) {
 		displayMainContents(true);
		disableAllCreateBtn(false);
		//disable the ports' wwwns, Coz they are not need to be submitted
		document.getElementById(namespace_g + "myForm:portwwn1").disabled = true;
		document.getElementById(namespace_g + "myForm:portwwn2").disabled = true;
		return;
	}
 
	if(validatePass=="false"){
		displayMainContents(true);
		disableAllCreateBtn(false);
		//disable the ports' wwwns, Coz they are not need to be submitted
		document.getElementById(namespace_g + "myForm:portwwn1").disabled = true;
		document.getElementById(namespace_g + "myForm:portwwn2").disabled = true;
   		return;
 	} 	
 	try {
	 	var actionValue = document.getElementById("action").value;
		if(actionValue=="ok") {
			window.parent.closeUtilDialog();
		} else {
		   for(var i=0;i<createHostFields.length;i++){
		     document.getElementById(namespace_g + "myForm:"+createHostFields[i]).value="";
		   }
		   displayMainContents(true);
		}
		/*var hostWindow
		if (!hX_5.brw.isIE()) {
			hostWindow = parent.document.getElementById('hostIframe').contentDocument;
			hostWindow.location.href = document.global_context_path + "/faces/page/rbce/storage/HostsTab.jsp";
		} else {
			hostWindow = parent.document.getElementById("hostIframe");
			hostWindow.contentWindow.document.getElementById(hostWindow.contentWindow.namespace_g + "myForm:refreshBtn").click();
		}*/
		parent.refreshAllTabs(parent.REFRESH_MASK_HOST);
	} catch(e) {
 		displayMainContents(true);
		return;	
	}
	return;
}
function disableAllCreateBtn(flag){
	try {
		document.getElementById(namespace_g + "myForm:button_submit").disabled = flag;
		document.getElementById(namespace_g + "myForm:cancel_button").disabled = flag;
	} catch(e) {
	}
}
/**
 * Judge if there are errors happened. 
 * If happened, disable the OK button, else do nothing.
 *  
 */

String.prototype.trim = function () {
    return this.replace(/^\s*/, "").replace(/\s*$/, "");
}
function hostCreateionAction(action){
    var flag = true;
	document.getElementById('action').value = action;
	return flag;
}

// discover new host part
function onLoad_DiscoverNewHosts(){
	try
	{
	parent.stopWait("discover_dialog");
	}catch(error){
	}
	try
	{
	parent.stopWait("util_dialog_sec_level");
	}catch(error){
	}
	try
	{
	parent.stopWait("util_dialog");
	}catch(error){
	}

	// Call the common function to send the ajax request
	commonPageLoad();
	
	// Adjust the discover_new_hosts_body_area_div height
	if("true"==document.getElementById(namespace_g + "myForm:inWizard").innerHTML)
	{
		document.getElementById("discover_new_hosts_body_area_div").style.height = 370;
		document.getElementById("request_div").style.height = 370;
	}else{
		document.getElementById("discover_new_hosts_body_area_div").style.height = 320;
	}
}

var selectedHostCount = 0;
function highLightingDiscoverHosts(theObj,groupid){
	var rowClass = "dmc_rowClass1";
	if(theObj.checked){
	  	rowClass ="dmc_rowHightLightClass";
		selectedHostCount++;
		document.getElementById(namespace_g + "myForm:replaceBtn").disabled = false;
		unSelectOtherCheckboxs(theObj);
	 }else{
		selectedHostCount--;
		if(selectedHostCount==0){
			document.getElementById(namespace_g + "myForm:replaceBtn").disabled = true;
		}
	 }
	 var stable = document.getElementById(groupid);
	 stable.rows[1].className=rowClass;
  	 for(var j=0;j<5;j++){ 
  	 	var pt = document.getElementById(groupid+"_"+j);
  	 	if(pt){
			pt.rows[1].className=rowClass;
  	 	}
  	 }
}
function unSelectOtherCheckboxs(selectCheckbox){
	var form = selectCheckbox.form;
	for(var i=0;i<form.elements.length;i++){
		var elem = form.elements[i];
		if(elem.type=="checkbox" && elem.checked && elem!=selectCheckbox)
			elem.click();
	}
}
function unSelectAllCheckBoxs(){
	var allCheckBoxs = getElementsByTagNameAndType("input","checkbox");	
	for(var i=0;allCheckBoxs != null && i<allCheckBoxs.length; i++) {
		var boxObj = allCheckBoxs[i];
		boxObj.checked = false;
	}
}
function disableBtns(){
	selectedHostCount = 0;
	document.getElementById(namespace_g + "myForm:replaceBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:createBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:closeBtn").disabled = true;
	document.getElementById(namespace_g + "myForm:hostName").value = " ";
}
function checkFinished(){
	document.getElementById(namespace_g + "myForm:createBtn").disabled = false;
	document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;
	
	if("true"==document.getElementById(namespace_g + "myForm:inWizard").innerHTML	){
		document.getElementsByTagName("body")[0].className = "wizardFrameBody";
		if (document.getElementById("wizardTitle")) {
			document.getElementById("wizardTitle").style.display = "";
		}
	}else{
		if (document.getElementById("wizardTitle")) {
			document.getElementById("wizardTitle").style.display = "none";
		}
	}
	
	var isNewHostFound = document.getElementById(namespace_g + "myForm:isNewHostFound");
	if(isNewHostFound == null || isNewHostFound.innerHTML == "false"){
		 disableBtns();
		 document.getElementById(namespace_g + "myForm:closeBtn").disabled = false;
	     document.getElementById(namespace_g + "myForm:createBtn").disabled = false;
		 return ;
	}
	var value = isNewHostFound.innerHTML;
	if(value=="true"){
		document.getElementById(namespace_g + "myForm:createBtn").disabled = true;
		document.getElementById(namespace_g + "myForm:replaceBtn").disabled = true;	
	}
	unSelectAllCheckBoxs();
}
function createHostOnShow(){
	//Add precondition check whether host num will exceed limit.
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	var hostNum = 0;
	if(null!=allHostNames){
		allHostNames = trim(allHostNames,",");
		var hostNameArray = allHostNames.split(",");
		hostNum = hostNameArray.length;
	}
	if( hostNum >= MAX_HOSTS_NUM){
		var parentTableObj = document.getElementById("inner_message_div").parentNode;
		while(parentTableObj.tagName.toLowerCase() != "table"){
			parentTableObj = parentTableObj.parentNode;
		}
		parentTableObj.style.height="100%";
		document.getElementById("inner_message_div").style.display = "";
		document.getElementById('request_createHost_div').style.display = "none";
		document.getElementById(namespace_g + "myForm:createHostBtn").disabled = true;
		document.getElementById(namespace_g + "myForm:closeCreateDialog").disabled = false;
		return;
	}else{
		document.getElementById("inner_message_div").style.display = "none";
		document.getElementById('request_createHost_div').style.display = "";
	}
	
	
	var portAddress = document.getElementById(namespace_g + "myForm:portswwns").innerHTML;
	var ports = portAddress.split(",");
	document.getElementById(namespace_g + "myForm:hostName").value = "";
			// below have some logic take into the consideration in case when only one wwwn for one new found host, hidden the second wwnn input
	for(var i=1;i<ports.length+1;i++){
		document.getElementById("wwnnTR"+i).style.display="";
		var obj = document.getElementById(namespace_g + "myForm:portwwn"+i);
		if(obj && ports[i-1].trim().length>0)
		   obj.value = ports[i-1];
		 else
			document.getElementById("wwnnTR"+i).style.display="none";
	}
	
	document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display="none";
		var message1 = document.getElementById(namespace_g + "myForm:message1");
		if(message1)
		 message1.style.display="none";
		// set title
	displayCreateHostContent(true);
}
function displayCreateHostContent(flag){
	/*
	if(flag){
		document.getElementById('request_createHost_div').style.display = 'block';
		document.getElementById('progress_Host_div').style.display = 'none';
	}
	else{
		document.getElementById('request_createHost_div').style.display = 'none';
		document.getElementById('progress_Host_div').style.display = 'block';
	}*/
	
	document.getElementById(namespace_g + "myForm:createHostBtn").disabled = !flag;
	document.getElementById(namespace_g + "myForm:closeCreateDialog").disabled = !flag;
}
function oncreeateFinished(){
	try {	
		var validatePass = document.getElementById(namespace_g + "myForm:validatePass").innerHTML;
		if(validatePass=="true"){
			document.getElementById(namespace_g + "myForm:hostName").value = "";
		  	document.getElementById(namespace_g + "myForm:closeCreateDialogHidden").click();
		  	document.getElementById(namespace_g + "myForm:skipBtn").click();
		}else{
			displayCreateHostContent(true);
			var portAddress = document.getElementById(namespace_g + "myForm:portswwns").innerHTML;
			var ports = portAddress.split(",");

			// below have some logic take into the consideration in case when only one wwwn for one new found host, hidden the second wwnn input
			for(var i=1;i<ports.length+1;i++){
				document.getElementById("wwnnTR"+i).style.display="";			
				var obj = document.getElementById(namespace_g + "myForm:portwwn"+i);
				if(obj && ports[i-1].trim().length>0)
				   obj.value = ports[i-1];
				 else
					document.getElementById("wwnnTR"+i).style.display="none";
			}		
		}
	} catch(e) {
		displayCreateHostContent(true);
		return;
	}
	
}

//can't find reference to this function, parent.parent may cause problem. change it to parent. qiuhongyan
function refParentsPages(){
	if(isCurrDialogSecLevelDialog()){
		if(parent.document.getElementById('templ_u_iframe').contentWindow){
			parent.document.getElementById('templ_u_iframe').contentWindow.document.getElementById(namespace_g + "myForm:refreshBtn").click();
		}
		else{
			parent.document.getElementById('templ_u_iframe').contentDocument.getElementById(namespace_g + "myForm:refreshBtn").click();
		}		
		/*var hostWindow;
		if(parent.document.getElementById('hostIframe').contentDocument){
			hostWindow = parent.document.getElementById('hostIframe').contentDocument;
			hostWindow.location.href = document.global_context_path + "/faces/page/rbce/storage/HostsTab.jsp";
		}else{
			hostWindow = parent.document.getElementById('hostIframe').contentWindow;
			hostWindow.document.getElementById(namespace_g + 'myForm:refreshBtn').click();			
		}
		
		var volumeWindow;
		if(parent.document.getElementById('iframe1').contentDocument){
			volumeWindow = parent.document.getElementById('iframe1').contentDocument;
			volumeWindow.location.href=document.global_context_path + "/faces/page/rbce/storage/VolumesTab.jsp";
		}else{
			volumeWindow = parent.document.getElementById('iframe1').contentWindow;
			volumeWindow.document.getElementById(namespace_g + 'myForm:refreshBtn').click();
		}*/
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);	
	}else if(isCurrDialogDiscoverDialog()){
		parent.location.reload();
		
	}else{
		/*var hostWindow;
		if(parent.document.getElementById('hostIframe').contentDocument){
			hostWindow = parent.document.getElementById('hostIframe').contentDocument;
			hostWindow.location.href = document.global_context_path + "/faces/page/rbce/storage/HostsTab.jsp";
		}else{
			hostWindow = parent.document.getElementById('hostIframe').contentWindow;
			hostWindow.document.getElementById(namespace_g + 'myForm:refreshBtn').click();			
		}
		
		var volumeWindow;
		if(parent.document.getElementById('iframe1').contentDocument){
			volumeWindow = parent.document.getElementById('iframe1').contentDocument;
			volumeWindow.location.href=document.global_context_path + "/faces/page/rbce/storage/VolumesTab.jsp";
		}else{
			volumeWindow = parent.document.getElementById('iframe1').contentWindow;
			volumeWindow.document.getElementById(namespace_g + 'myForm:refreshBtn').click();
		}*/
		parent.refreshAllTabs(parent.REFRESH_MASK_VOLUME+parent.REFRESH_MASK_HOST);	
	}
}

var discoverCreateHeightAdded = false;
function hostCreateionForDiscover(){
	// Defect 8442 adjust dialog to initial size
	var currentdialog = document.getElementById(namespace_g + "myForm:creatHost_dialog");	
	var originHeight = getOriginalDialogHeight();
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
	var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
	var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
	if(allHostNames==null)
		allHostNames = "";
	if(allHostWwnns==null)
		allHostWwnns = "";
    var flag = true;
	var hName = document.getElementById(namespace_g + "myForm:hostName").value;
	if(!isDeviceNameValid(hName) || allHostNames.indexOf(","+hName+",")>-1){
		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display="";
		document.getElementById("hostPortVmsgTR").style.display="none";	 
		
		// Defect 8442 adjust dialog size for validation message
		if (!discoverCreateHeightAdded) {
			if (currentdialog) {
				currentdialog.style.height = originHeight - 0 + 20;
				discoverCreateHeightAdded = true;
			}
		}
		document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
		return false;
	 }else{
		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display="none";
	 }
	 if(allHostWwnns.indexOf(","+portwwn1+",")>-1 || allHostWwnns.indexOf(","+portwwn2+",")>-1){
		document.getElementById("hostPortVmsgTR").style.display="";	
		
		// Defect 8442 adjust dialog size for validation message
		if (!discoverCreateHeightAdded) {
			if (currentdialog) {
				currentdialog.style.height = originHeight - 0 + 20;
				discoverCreateHeightAdded = true;
			}
		}
		 
		return false;
	 }else{
		document.getElementById("hostPortVmsgTR").style.display="none";	 
	 }
	 
	// Defect 8442 adjust dialog to initial size
	if (discoverCreateHeightAdded) {
		if (currentdialog) {
			currentdialog.style.height = originHeight - 20 - UTILITYDIALOG_IFRAME_DELTA_HEIGHT;
			discoverCreateHeightAdded = false;
		}
	}
	 document.getElementById(namespace_g + "myForm:createHostBtn").disabled = true;
	 
	return true;
}


function isCurrDialogSecLevelDialog(){
	var dialog = document.getElementById(namespace_g + "myForm:util_dialog_sec_level");
	if(!dialog){
		var dialog = parent.document.getElementById(parent.namespace_g + "myForm:util_dialog_sec_level");		
	}	
	if(dialog && dialog.style.display!="none"){
		 return true;
	}
	return false;
}

function isCurrDialogDiscoverDialog(){
	var dialog = document.getElementById(namespace_g + "myForm:discover_dialog");
	if(!dialog){
		var dialog = parent.document.getElementById(parent.namespace_g + "myForm:discover_dialog");		
	}	
	if(dialog && dialog.style.display!="none"){
		 return true;
	}
	return false;
}
function cancleClick(){
	document.getElementById(namespace_g + "myForm:closeBtn").disabled = true;
	var isSessionDirty = document.getElementById(namespace_g + "myForm:isSessionDirty").innerHTML;
	if (isCurrDialogSecLevelDialog()) {
		parent.closeSecLevelUtilDialog();
	} else if (isCurrDialogDiscoverDialog()) {
		parent.closeDiscoverDialog();
	} else {
		parent.closeUtilDialog();
	}
	
	if(isSessionDirty=="true"){
		refParentsPages();
	}
}

var editHostHeightAdded = false;
function checkHostName(){
  	var originHeight = getOriginalDialogHeight();
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	if(allHostNames==null)
			allHostNames = "";
	var hName = document.getElementById(namespace_g + "myForm:hostName").value;
	if(isDeviceNameValid(hName) && (allHostNames.indexOf(","+hName+",")==-1)){
  		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = 'none';  
		// Defect 8442 adjust dialog to initial size, if message was showed.
		if(editHostHeightAdded){
			adjustDialogSizeForValidationMessage(560,originHeight-20-2*UTILITYDIALOG_IFRAME_DELTA_HEIGHT);
			editHostHeightAdded = false;
		}
  	}else{
  		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = '';  
		if (!editHostHeightAdded) {
			// Defect 8442 adjust dialog size for validation message
			adjustDialogSizeForValidationMessage(560, originHeight - 0 + 20);
			editHostHeightAdded = true;
		}
  	    document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();		
  		return false;	  	
  	}
	//Show Indicator
	showProgressIndicator('spinningDiv');
	return true;
}


/**
*
* host validation
*/
var creatHostHeightAdded = false;
function CreateHostValidation(){
		//var fileds = new Array(namespace_g + "myForm:sasIPAddress",namespace_g + "myForm:sasUserID",namespace_g + "myForm:sasPassword",namespace_g + "myForm:raidPassword",namespace_g + "myForm:switchNickName");
		var errorMsgs = new Array(namespace_g + "myForm:hostNameVMsg",namespace_g + "myForm:portwwn1Vmsg",namespace_g + "myForm:portwwn2Vmsg");
		var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
		var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
		if(allHostWwnns==null)
			allHostWwnns = "";
		if(allHostNames==null)
			allHostNames = "";
		
		this.checkFields = function() {
		    var flag = true;//if flag=true, indicates it pass the validation.
			var originHeight = getOriginalDialogHeight();
			var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
			var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
			var hName = document.getElementById(namespace_g + "myForm:hostName").value;
			
		  	if(isDeviceNameValid(hName) && (allHostNames.indexOf(","+hName+",")==-1)){
		  		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = 'none';  	
		  	}else{
				this.diableErrorMsgs();
		  		document.getElementById(namespace_g + "myForm:hostNameVMsg").style.display = '';  
				if (!creatHostHeightAdded) {
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(560, originHeight - 0 + 20);
					creatHostHeightAdded = true;
				}
                document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();				
		  		flag = false;	  	
		  	}
		  	
			if(flag &&(!portwwn1.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn1.trim()+",")>=0)){
				this.diableErrorMsgs();
				document.getElementById(namespace_g + "myForm:portwwn1Vmsg").style.display="";
				
				if (!creatHostHeightAdded) {
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(560, originHeight - 0+ 20);
					creatHostHeightAdded = true;
				}
		  		flag = false;	  	
			}else{
				document.getElementById(namespace_g + "myForm:portwwn1Vmsg").style.display="none";	
			}
			
			if(flag && (!portwwn2.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn2.trim()+",")>=0 || portwwn1==portwwn2) ){
				this.diableErrorMsgs();
				document.getElementById(namespace_g + "myForm:portwwn2Vmsg").style.display="";
				
				if (!creatHostHeightAdded) {
					// Defect 8442 adjust dialog size for validation message
					adjustDialogSizeForValidationMessage(560, originHeight - 0 + 20);
					creatHostHeightAdded = true;
				}
		  		flag = false;	  	
			}else{
				document.getElementById(namespace_g + "myForm:portwwn2Vmsg").style.display="none";	
			}
			
			if(!flag){
			    document.getElementById(namespace_g + "myForm:validation_subview:showValidationBtn").click();
			    return flag;
			}
			if(creatHostHeightAdded){
				// Defect 8442 adjust dialog to initial size
				adjustDialogSizeForValidationMessage(560,originHeight-20-2*UTILITYDIALOG_IFRAME_DELTA_HEIGHT);	
				creatHostHeightAdded = false;
			}
			//Show Indicator
			showProgressIndicator('spinningDiv');
			return flag;
		}
		this.diableErrorMsgs = function(){
			for(var i=0;i<errorMsgs.length;i++){
				document.getElementById(errorMsgs[i]).style.display="none";
			}
		}
}
function checkCreatHostAllFieldValid(){
    var flag = true;
	var hName = document.getElementById(namespace_g + "myForm:hostName").value;
	var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	if(allHostWwnns==null)
		allHostWwnns = "";
	if(allHostNames==null)
		allHostNames = "";
	var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
	var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
	
	if(hName.trim().length==0){
	   flag = false;
	 }else{	 
	   flag = isDeviceNameValid(hName);
	   if(flag) flag=(allHostNames.indexOf(","+hName.trim()+",")==-1);	   	
	 }
	if(!portwwn1.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn1.trim()+",")>=0){
		flag =  false;
	}
	if(!portwwn2.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn2.trim()+",")>=0){
		flag =  false;
	}
	if(portwwn1==portwwn2)
		flag = false;
	if(flag)
	   document.getElementById(namespace_g + "myForm:button_submit").disabled = false;
	else
		document.getElementById(namespace_g + "myForm:button_submit").disabled = true;
}

function hostNameValidation(obj,msgId){
	var hName = document.getElementById(namespace_g + "myForm:hostName").value;
	var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
	var allHostNames = document.getElementById(namespace_g + "myForm:allHostNames").innerHTML;
	if(allHostWwnns==null)
		allHostWwnns = "";
	if(allHostNames==null)
		allHostNames = "";

	var msgObj = document.getElementById(msgId);
	if(isDeviceNameValid(obj.value) && allHostNames.indexOf(","+hName+",")==-1){
		if(msgObj){
			msgObj.style.display = "none";
		}
	}else{
		if(msgObj){
			msgObj.style.display = "block";
		}
	}
	checkCreatHostAllFieldValid();
}
function hostPort1Validation(obj,msgId){
	var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
	var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
	var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
	if(allHostWwnns==null)
		allHostWwnns = "";
    var flag = true;
	if(portwwn1!=portwwn1.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn1.trim()+",")>=0 || portwwn1==portwwn2){
		flag =  false;
	}
	var msgObj = document.getElementById(msgId);
	if(flag){
		if(msgObj){
			msgObj.style.display = "none";
		}
	}else{
		if(msgObj){
			msgObj.style.display = "block";
		}
	}
	checkCreatHostAllFieldValid();
}
function hostPort2Validation(obj,msgId){
	var portwwn1 = document.getElementById(namespace_g + "myForm:portwwn1").value;
	var portwwn2 = document.getElementById(namespace_g + "myForm:portwwn2").value;
	var allHostWwnns = document.getElementById(namespace_g + "myForm:allHostWwnns").innerHTML;
	if(allHostWwnns==null)
		allHostWwnns = "";
    var flag = true;
	if(portwwn2!=portwwn2.match(wwwnRegexp) || allHostWwnns.indexOf(portwwn2.trim()+",")>=0 || portwwn1==portwwn2){
		flag =  false;
	}
	var msgObj = document.getElementById(msgId);
	if(flag){
		if(msgObj){
			msgObj.style.display = "none";
		}
	}else{
		if(msgObj){
			msgObj.style.display = "block";
		}
	}
	checkCreatHostAllFieldValid();

}





/**
 * This function is used for sorting the host table data
 *
 */
 
var sortTime = 0;
var sortColumnId = 0;
function sortHostTable(tableColumn){
	var volumesHeaderIDs = new Array("hostsTable:hosts_sort_name","hostsTable:hosts_sort_mapped","hostsTable:hosts_sort_volumes");
	var hiddenHeaderNames = new Array("sort_name_hidden","sort_capacity_hidden","sort_volumes_hidden");
	var spanID = null;
	var headerName = null;
	var sortingType = "ascending";
	var dataType = "String"
	if(sortColumnId!=tableColumn){
		sortColumnId = tableColumn;
		sortTime = 0;
	}
	sortTime++;
	switch(tableColumn) {
		case 1:
			spanID = volumesHeaderIDs[0];
			headerName = hiddenHeaderNames[0];
			dataType = "String";
			break;
		case 2:
			spanID = volumesHeaderIDs[1];
			headerName = hiddenHeaderNames[1];
			dataType = "Number";
			break;
		case 3:
			spanID = volumesHeaderIDs[2];
			headerName = hiddenHeaderNames[2];
			dataType = "Number";
			break;
	}
	
	var imgNode = document.getElementById(spanID+"_"+tableColumn);
	var imgSrc = imgNode.src;
	
	if (imgSrc.lastIndexOf("1x1.gif") > -1 || imgSrc.lastIndexOf("sortbi.gif") > -1) {
		imgNode.src = document.global_context_path + "/images/sortbiup.gif";
		sortingType = "ascending";
		imgNode.title=bundle.Common_SortHeaderTitle_sortbiup;
		imgNode.alt=bundle.Common_SortHeaderTitle_sortbiup;
	} else if (imgSrc.lastIndexOf("sortbiup.gif") > -1) {
		imgNode.src = document.global_context_path + "/images/sortbidown.gif";
		sortingType = "descending";
		imgNode.title=bundle.Common_SortHeaderTitle_sortbidown;
		imgNode.alt=bundle.Common_SortHeaderTitle_sortbidown;
	} else if (imgSrc.lastIndexOf("sortbidown.gif") > -1) {
		imgNode.src = document.global_context_path + "/images/sortbiup.gif";
		sortingType = "ascending";
		imgNode.title=bundle.Common_SortHeaderTitle_sortbiup;
		imgNode.alt=bundle.Common_SortHeaderTitle_sortbiup;
	}	
    for(var i=0; i<volumesHeaderIDs.length; i++) {
    	if (spanID != volumesHeaderIDs[i]) {
			var iNode = document.getElementById(volumesHeaderIDs[i]+"_"+(i+1));
			if(iNode)
			{
				iNode.src = document.global_context_path + "/images/sortbi.gif";  	
				iNode.title=bundle.Common_SortHeaderTitle_sortbiup;
				iNode.alt=bundle.Common_SortHeaderTitle_sortbiup;
			}
    	}
    }
    sorting(headerName, sortingType, dataType); 
    document.getElementById("hostsTable").focus();   
    unselectedCheckbox();    
}

/**
 * Sotring the divs in the loop
 *
 */  
function sorting(headerName, sortingType, dataType) {
    var topTableTd = document.getElementById("hosts_tree_table_td");
	var divs = topTableTd.childNodes;
	for(var n=0; n<divs.length; n++){	
		for(var i=divs.length-1; i>-1; i--){
		    for(var j=i-1; j>-1; j--){
		        var iValue = getDivSortValue(divs[i], headerName);                
		        var jValue = getDivSortValue(divs[j], headerName);
		        
		        if(dataType == "Number") {
			        try{
			        	iValue = Number(iValue);
			        	jValue = Number(jValue);
			        	if( (sortingType=="ascending" && jValue > iValue) || (sortingType=="descending" && jValue < iValue) ){
				            var tempDiv = divs[j];
				            topTableTd.removeChild(divs[j]);
				            topTableTd.appendChild(tempDiv); 
				        }
			        } catch (e) {}		        
		        }
		        else if(dataType == "String"){
		        	if( (sortingType=="ascending" && stringCompareAlgorithm(jValue,iValue)>0) || (sortingType=="descending" && stringCompareAlgorithm(jValue,iValue)<0)){
				            var tempDiv = divs[j];
				            topTableTd.removeChild(divs[j]);
				            topTableTd.appendChild(tempDiv); 
				    }
		        }
		    }
		}
	}
}

/**
 * Unselected all checkboxs after sotring the data table
 *
 */
function unselectedCheckbox(){
	var checkBoxs = getElementsByTagNameAndType("input","checkbox");

	for(var i=0; i<checkBoxs.length; i++){
		checkBoxs[i].checked = false;
	}
	
	initMenu();
	selectedHostArray.length = 0;
	selectedHostNameArray.length = 0;
	var unselectedRowClass = "dmc_rowClass1";
	var	selectedRowClass ="dmc_rowHightLightClass";
	var trs = document.getElementsByTagName("TR");
	for(var i=0; i<trs.length; i++){
		if(trs[i].className == selectedRowClass){
			trs[i].className = unselectedRowClass;
		}
	}
	
}

/**
 * Get the sorting value from the hidden fields
 *
 */
function getDivSortValue(div, headerName) {
    var divSortValue = "";
    var subDivs = div.childNodes;
    for(var i=0; i<subDivs.length; i++) {
        if(typeof subDivs[i].tagName == "undefined"){
        } else {            
            var tagName = subDivs[i].tagName.toUpperCase();
            var id = subDivs[i].getAttribute("id");
            if(tagName == "SPAN" && id != null && id.lastIndexOf(headerName) > -1){
                divSortValue = subDivs[i].innerHTML;
            }
        }
    }
    return divSortValue;
}

/**
 * Get elements by the tag name and the type
 *
 */
function getElementsByTagNameAndType(tagName, type){
	var checkBoxs = new Array();
	var tags = document.getElementsByTagName(tagName);
	var index = 0;
	for(var i=0; i<tags.length; i++){
		var tmpType = tags[i].getAttribute("type");
		if(tmpType == type){
			checkBoxs[index] = tags[i];
			index++;
		}
	}
	return checkBoxs;
}

/**
 *
 * Fucntion for the address column link
 */
function clickHostAddressLink() {
	parent.document.getElementById(parent.namespace_g + "myForm").target = '_parent';
	parent.document.getElementById(parent.namespace_g + "myForm:openSASPortsButton" ).click();
}

/**
 * Function for the column link of the volume tab
 *
 */
function clickHostColumnLink(thisObj, columnName, level) {
	document.getElementById(thisObj.id).href="javascript:;";
	thisObj.href="javascript:;";
	syncCheckbox(true, "rowLinkHidden");
	syncCheckbox(false, "rowLinkSelectHidden");
	
	if(level != null && level == "branch" ) {
		var divObj = thisObj.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode;
		var trObj = getTRObject(divObj.childNodes);		
		var trChilds = trObj.childNodes;
		setHiddenCheckbox(trChilds);
	} else {
		var trChilds = thisObj.parentNode.parentNode.childNodes;
		setHiddenCheckbox(trChilds);
	}
	document.getElementById(namespace_g + "myForm:link_column_name_hidden").value = columnName;
	document.getElementById(namespace_g + 'myForm:hostProperties').click();
	parent.setStorageUtilTitle('hostPropertiesTitle');
}

/**
 * Set the hidden checkbox as checked
 *
 */
function setHiddenCheckbox(trChilds) {
	for(var i=0; i<trChilds.length; i++){
		var cns = trChilds[i].childNodes;
		for(var j=0; j<cns.length; j++){
			var field = cns[j];
			if(field.nodeName == "INPUT"){
				if (field.type == "checkbox" && field.id.indexOf("rowLinkSelectHidden") > -1) {
					field.checked = true;
					return;
				}
			}	
		}
	}
}

/**
 * Get the TR objcet
 *
 */
function getTRObject(divChilds){
	for(var i=0; i< divChilds.length; i++) {
		if(divChilds[i].nodeName == "TABLE") {
			var tableChilds = divChilds[i].childNodes;
			for(var j=0; j< tableChilds.length; j++) {
				if(tableChilds[j].nodeName == "TBODY") {
					var tbodyChilds = tableChilds[j].childNodes;
					for(var k=0; k<tbodyChilds.length; k++) {
						if(tbodyChilds[k].nodeName == "TR") {
							return tbodyChilds[k];
						}
					}					    	
				}
			}
		}
	}
}

/**
 * Get elements by the tag name and the type
 *
 */
function getElementsByTagNameAndType(tagName, type){
	var checkBoxs = new Array();
	var tags = document.getElementsByTagName(tagName);
	var index = 0;
	for(var i=0; i<tags.length; i++){
		var tmpType = tags[i].getAttribute("type");
		if(tmpType == type){
			checkBoxs[index] = tags[i];
			index++;
		}
	}
	return checkBoxs;
}


///////////////////////////////////////////////////DCR 74 //////////////////////////////////////////////////////////////////////////////
// JWL's ajax call finished, it's the firstload of host information.
function onAjaxComplete(){
	displayMainContents(true);
	disableAllCheckboxs(false);		
	disableRefreshButton(false); 	
		// need to enable menu and other buttons after host information loaded.
		initMenu();
		setLastRefreshStamp();
		enableHostsButtons(true); 
		innerMessagesInstance.display();
	// set pure ajax call to fetch host's location information		
	var noHoustFoundTag = document.getElementById(namespace_g + "myForm:noHostFound");
	if(noHoustFoundTag==null){
		var d = new Date();
	    var longseconds = d.getTime();
		sendHostLocationAjaxCall(processHostAjaxResponse,document.global_context_path+"/faces/page/rbce/storage/HostsTab.jsp?loadLocation=true&timestamp="+longseconds);	
	}
}
// load location information succeed
function onPureAjaxComplete(){
			innerMessagesInstance.display();
			disableRefreshButton(false); 
			setLastRefreshStamp();
			disableAllCheckboxs(false);
			
			if(sortTime>0){
				sortTime = sortTime%2+1;
			    for(var i=sortTime;i>=0;i--){
			    	sortHostTable(sortColumnId);
			    }
		    }
		    selectedHostNumber = 0;
		    unselectedCheckbox();
			restoreCheckboxStatus();		    
}
function restoreCheckboxStatus(){
  var size = selectedHostNameArray.length;
  for(var i=0;i<size;i++){
  	var radio = document.getElementsByName(selectedHostNameArray[i]);
  	if(radio!=null && radio.length>0){
  	   if(!radio[0].checked)
	  		radio[0].click();
  	}
  }
}

// makesure the hidden checkbox's seleted value was set to false
/*function unselectedCheckbox(){
	var checkBoxs = getElementsByTagNameAndType("input","checkbox");
	for(var i=0; i<checkBoxs.length; i++){
		checkBoxs[i].checked = false;
	}
}*/


// ajax onerror when try to load the location information
function onPureAjaxError(){
	innerMessagesInstance.display();
	disableRefreshButton(false);
	setLastRefreshStamp();
	disableAllCheckboxs(false);
}
// try to disable the checkbox, currently not used.
function disableAllCheckboxs(flag){
	var checkBoxs = getElementsByTypeAndMatchIds("input","checkbox","selectedRadio");
	for(var i=0; i<checkBoxs.length; i++){
		checkBoxs[i].disabled = flag;
	}
}
function getElementsByTypeAndMatchIds(tagName, type,id){
	var checkBoxs = new Array();
	var tags = document.getElementsByTagName(tagName);
	var index = 0;
	for(var i=0; i<tags.length; i++){
		var tmpType = tags[i].getAttribute("type");
		if(tmpType == type && tags[i].id.indexOf(id)>-1){
			checkBoxs[index] = tags[i];
			index++;
		}
	}
	return checkBoxs;
}
// interface used to send ajax call.
var req;
function sendHostLocationAjaxCall(callBack,url) {
  // branch for native XMLHttpRequest object
  if (window.XMLHttpRequest) {
    req = new XMLHttpRequest();
    req.onreadystatechange = callBack;
    req.open("GET", url, true);
    req.send(null);
  } // branch for IE/Windows ActiveX version
  else if (window.ActiveXObject) {
    req = new ActiveXObject("Microsoft.XMLHTTP");
    if (req) {
      req.onreadystatechange = callBack;
      req.open("GET", url, true);
      req.send(null);
    }
  }
}
// host ajaxpanel special start tag 
var PTAG_START = "<center id=\"hostTreeTable\">";
// host ajaxpanel special end tag
var PTAG_END = "</center>";
function processHostAjaxResponse() {
  // only if req shows "loaded"
  if (req.readyState == 4) {
    // only if "OK"
    if (req.status == 200) {
    	// cut content in center tag.
      var longText = req.responseText;
      var startIndex = longText.indexOf(PTAG_START)+PTAG_START.length;
      var bodyText = longText.substring(startIndex);
      var endIndex = bodyText.indexOf(PTAG_END);
      bodyText = bodyText.substring(0,endIndex);      
      // append the response in center tag.
      document.getElementById("hostTreeTable").innerHTML = bodyText;
	 // clear the host Object information, will reload in below 
		 map = new Object();
		 var jsIframe = document.createElement("iframe"); 
		 jsIframe.style.display = "none";
		 document.body.appendChild(jsIframe);
		 with(window.frames[window.frames.length - 1]){
		  document.open();
		  document.write(bodyText); 
		  document.close();
		 }
		 document.body.removeChild(jsIframe);
		 onPureAjaxComplete(); 
    } else {
       // on ajax error
	    onPureAjaxError();
    }
    alignHeaderTableAndContentTable('headerTableDivId','hostMainTable');
  }
} 

function hostTabOnEnter(theObj,theEvent){
		var LazyFunc = new LazyAdjustHostColumn('headerTableDivId','storageHostVolumeTable');
		LazyFunc.lazyRun();
		return true;
}
function LazyAdjustHostColumn(headerTableDivId,contentTableId){
	var headerDivId = headerTableDivId;
	var tableId = contentTableId;	
	this.lazyRun = function(){
		setTimeout(this.adjustColumnWidth,200);
	}
	this.adjustColumnWidth =function(){
		alignHeaderTableAndContentTable(headerDivId,tableId);			
	}
}


//added by liuziyu
function onLoad_HostsPropertiesGeneralTab(){
	customPageLoad();
}

function onLoad_HostsPropertiesHostVolumeTab(){
	customPageLoad();
}

function onLoad_HostsPropertiesHostPortTab(){
	customPageLoad();
}

function add_Tabs_iframe_src(cur_window,address_map){
//	document.getElementById("generalTab_iframe").src=current_context + "/faces/page/rbce/storage/HostsPropertiesGeneralTab.jsp";
//	document.getElementById("hostPortTab_iframe").src=current_context + "/faces/page/rbce/storage/HostsPropertiesHostPortTab.jsp";
//	document.getElementById("hostVolumeTab_iframe").src=current_context + "/faces/page/rbce/storage/HostsPropertiesHostVolumeTab.jsp";
	
	function lag_refresh(){
		for(var key in address_map){
			cur_window.document.getElementById(key).src = current_context + address_map[key];
		}
	}
	
	setTimeout(lag_refresh,10);
}
function on_hostvolumetab_reloaded(){
	//parent.document.getElementById("generalTab_iframe").src=current_context + "/faces/page/rbce/storage/HostsPropertiesGeneralTab.jsp";
	var f = new add_Tabs_iframe_src(parent,{"generalTab_iframe":"/faces/page/rbce/storage/HostsPropertiesGeneralTab.jsp"});
	f();
}
