/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2010, 2012 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
// storageVolume.js

function clickVolumeColumnLink(thisObj, columnName) {
	document.getElementById(thisObj.id).href="javascript:;";
	syncCheckbox(true, "rowLinkHidden");
	syncCheckbox(false, "rowLinkSelectHidden");
	
	var cns = thisObj.parentNode.parentNode.parentNode.firstChild.firstChild.childNodes;		
	for(var i=0; i<cns.length; i++){
		var field = cns[i];
		if (field.type == "checkbox" && field.id.indexOf("rowLinkSelectHidden") > -1) {
			field.checked = true;
			break;
		}
	}
	document.getElementById(namespace_g + "myForm:link_column_name_hidden").value = columnName;
	document.getElementById(namespace_g + "myForm:viewProperties").click();
	parent.setStorageUtilTitle('volumePropertiesTitle');	
}

function volumesDeleteAction(){
		//document.getElementById("removeVolume").style.visibility= "visible";
		
		document.getElementById(namespace_g + 'myForm:confirm_dialog_left').disabled = true;
		document.getElementById(namespace_g + 'myForm:confirm_dialog_right').disabled = true;
//		document.getElementById(namespace_g + 'myForm:deleteVolumes').click();
}
function onVolumeDeleted(){
	document.getElementById(namespace_g + 'myForm:confirmHiddenBtn').click();
	refreshAfterModifyVolume();
	enableAllStorageTabs();
}

var SelectedVolumeObjMap = new JSSimpleMap();
function initVolumeMenu(){
	SelectedVolumeObjMap = new JSSimpleMap();
	volumeOnClicked();
}
function enableVolumeBtn(flag){
	if(flag){
		document.getElementById(namespace_g + "myForm:createVolumeBtn").disabled = false;
		document.getElementById("menu1").disabled = false;
	}else{
		document.getElementById(namespace_g + "myForm:createVolumeBtn").disabled = true;
		document.getElementById("menu1").disabled = true;
	}
	document.getElementById(namespace_g + "myForm:mapvolumesBtn").disabled = true;
}
function SelectedVolumeObject(volumeName,poolName,raidType,mappedHostNumbers,poolDismounted,poolMissing){
	this.volumeName = volumeName;
	this.poolName = poolName;
	this.raidType = raidType;
	this.mappedHostNumbers = mappedHostNumbers;
	this.poolDismounted = poolDismounted;
	this.poolMissing = poolMissing;
	
	this.getKey = function(){
		return (this.volumeName);
	}
	this.toString = function(){
		return (this.volumeName);
	}
}
function volumeOnClicked(thisObj,volumeName,poolName,raidType,mappedHostNumbers,poolDismounted,poolMissing){
	var menu1 = document.getElementById(namespace_g + "myForm:menu_1").innerHTML;
	var menu2 = document.getElementById(namespace_g + "myForm:menu_2").innerHTML;
	var menu3 = document.getElementById(namespace_g + "myForm:menu_3").innerHTML;
	var menu4 = document.getElementById(namespace_g + "myForm:menu_4").innerHTML;
	var menu5 = document.getElementById(namespace_g + "myForm:menu_5").innerHTML;
	
	var VolumeSelectOneOptions = new Array();
	
	VolumeSelectOneOptions[0] = new Option(menu1,'');
	VolumeSelectOneOptions[1] = new Option(menu2,'Properties');
	VolumeSelectOneOptions[2] = new Option(menu3,'Expand');
	VolumeSelectOneOptions[3] = new Option(menu4,'UnmapHosts');
	VolumeSelectOneOptions[4] = new Option(menu5,'Delete');
	var menu = document.getElementById("menu1");
	for(var i=0;i<VolumeSelectOneOptions.length;i++){
	   	menu.options[i]=VolumeSelectOneOptions[i];
	   	if(i>0)
	   		VolumeSelectOneOptions[i].key = true;
	   	else
	   		VolumeSelectOneOptions[i].key = false;
	}
 	if(thisObj){
		var volumeObj = new SelectedVolumeObject(volumeName,poolName,raidType,mappedHostNumbers,poolDismounted,poolMissing);
		if(thisObj.checked){
			SelectedVolumeObjMap.put(volumeObj.getKey(),volumeObj);
		}else{
			SelectedVolumeObjMap.remove(volumeObj.getKey());
		}
		var selectedVolumeNumber = SelectedVolumeObjMap.length();
		var allSelectedObjecs = SelectedVolumeObjMap.valueArray();
		if(selectedVolumeNumber == 0){
			 document.getElementById(namespace_g + "myForm:mapvolumesBtn").disabled = true;
		}else if(selectedVolumeNumber==1){
			for(var i=0;i<menu.options.length;i++){
			  	menu.options[i].key = false;
			}
			document.getElementById(namespace_g + "myForm:mapvolumesBtn").disabled = false;
			//Defect 10314/12827 disable "Unmap Hosts" menu when selected volume is unmapped.
			if(allSelectedObjecs[0].mappedHostNumbers==0){
				menu.options[3].key = true;
			}
		}else if(selectedVolumeNumber>1){
			 for(var i=0;i<VolumeSelectOneOptions.length;i++){
			 	if(i==1 || i==3)
				   	menu.options[i].key = true;
				else
				   	menu.options[i].key = false;
			 }
			 document.getElementById(namespace_g + "myForm:mapvolumesBtn").disabled = false;
		}
			var haveOneDismountedSelected = false;
			for(var i=0;i<allSelectedObjecs.length;i++){
				haveOneDismountedSelected = (haveOneDismountedSelected || (allSelectedObjecs[i].poolDismounted=="true" || allSelectedObjecs[i].poolMissing=="true"));
			}
			if(haveOneDismountedSelected){
					menu.options[2].key = true;	
					menu.options[3].key = true;		
					menu.options[4].key = true;		
					document.getElementById(namespace_g + "myForm:mapvolumesBtn").disabled = true;
			}
	}
	emulate("menu1");
	highlightStartRow(namespace_g + "myForm:volumesTable");
	syncCheckbox(false, "rowLinkHidden");
}
